2005-02-16 10:31  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: db.pp, fields.inc:
	
	- Remove TTimeField and TDateField GetDataSize functions since both
	are exactly   equal to their ancestor: TDateTimeField.GetDataSize -
	TAutoInc fields are set to ReadyOnly on create - In
	TFieldDef.CreateField the presence of faReadyOnly in Attributes is
	respected

2005-02-15 23:28  peter <peter@freepascal.org>

	* fcl/: Makefile, Makefile.fpc, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/memds/Makefile, db/mysql/Makefile,
	db/odbc/Makefile, db/sdf/Makefile, db/sqldb/Makefile,
	db/sqldb/interbase/Makefile, db/sqldb/mysql/Makefile,
	db/sqldb/postgres/Makefile, db/sqlite/Makefile, db/tests/Makefile,
	fpcunit/Makefile, fpcunit/exampletests/Makefile,
	fpcunit/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * 1.9.8

2005-02-14 18:13  peter <peter@freepascal.org>

	* fcl/: amiga/classes.pp, amiga/eventlog.inc, amiga/ezcgi.inc,
	amiga/pipes.inc, amiga/thread.inc, beos/classes.pp,
	beos/eventlog.inc, beos/ezcgi.inc, beos/pipes.inc, beos/thread.inc,
	classes/action.inc, classes/bits.inc, classes/classes.inc,
	classes/classesh.inc, classes/collect.inc, classes/compon.inc,
	classes/constse.inc, classes/constsg.inc, classes/constss.inc,
	classes/cregist.inc, classes/dm.inc, classes/filer.inc,
	classes/filerec.inc, classes/intf.inc, classes/lists.inc,
	classes/parser.inc, classes/persist.inc, classes/reader.inc,
	classes/streams.inc, classes/stringl.inc, classes/twriter.inc,
	classes/util.inc, classes/writer.inc, classes/freebsd/classes.pp,
	classes/go32v2/classes.pp, classes/linux/classes.pp,
	classes/netbsd/classes.pp, classes/openbsd/classes.pp,
	classes/os2/classes.pp, classes/win32/classes.pp,
	darwin/syncobjs.pp, db/bufdataset.inc, db/database.inc,
	db/dataset.inc, db/datasource.inc, db/db.pp, db/dbconst.pp,
	db/dbwhtml.pp, db/ddg_ds.pp, db/ddg_rec.pp, db/dsparams.inc,
	db/fields.inc, db/dbase/dbf.pas, db/dbase/dbf_common.inc,
	db/dbase/dbf_common.pas, db/dbase/dbf_dbffile.pas,
	db/dbase/dbf_fields.pas, db/dbase/dbf_idxfile.pas,
	db/dbase/dbf_lang.pas, db/dbase/dbf_parser.pas,
	db/dbase/dbf_pgfile.pas, db/dbase/dbf_prscore.pas,
	db/dbase/dbf_struct.inc, db/dbase/dbf_wtil.pas,
	db/dbase/tdbf_l.pas, db/interbase/interbase.pp,
	db/interbase/testib.pp, db/memds/memds.pp, db/memds/testcp.pp,
	db/memds/testld.pp, db/memds/testopen.pp, db/memds/testpop.pp,
	db/mysql/mtest.pp, db/mysql/mysqldb3.pp, db/mysql/mysqldb4.pp,
	db/sdf/sdfdata.pp, db/sdf/testfix.pp, db/sdf/testsdf.pp,
	db/sqldb/sqldb.pp, db/sqldb/testsqldb.pp,
	db/sqldb/interbase/ibconnection.pp, db/sqldb/mysql/mysql4conn.pas,
	db/sqldb/postgres/pqconnection.pp, db/sqlite/browseds.pas,
	db/sqlite/concurrencyds.pas, db/sqlite/createds.pas,
	db/sqlite/fillds.pas, db/sqlite/sqlitedataset.pas,
	db/sqlite/sqliteds.pas, db/sqlite/testds.pas, db/tests/createds.pp,
	db/tests/testds.pp, db/tests/tested.pp, fpcunit/fpcunit.pp,
	fpcunit/testregistry.pp, fpcunit/testreport.pp,
	fpcunit/testutils.pp, fpcunit/demo/consolerunner/suiteconfig.pp,
	fpcunit/demo/consolerunner/testrunner.pp,
	fpcunit/exampletests/fpcunittests.pp,
	fpcunit/exampletests/money.pp, fpcunit/exampletests/moneytest.pp,
	fpcunit/tests/asserttest.pp, fpcunit/tests/frameworktest.pp,
	fpcunit/tests/suitetest.pp, freebsd/syncobjs.pp,
	go32v2/custapp.inc, go32v2/eventlog.inc, go32v2/ezcgi.inc,
	go32v2/pipes.inc, image/bmpcomn.pp, image/clipping.pp,
	image/ellipses.pp, image/fpbrush.inc, image/fpcanvas.inc,
	image/fpcanvas.pp, image/fpcdrawh.inc, image/fpcolcnv.inc,
	image/fpcolors.inc, image/fpfont.inc, image/fphandler.inc,
	image/fphelper.inc, image/fpimage.inc, image/fpimage.pp,
	image/fpimgcanv.pp, image/fppalette.inc, image/fppen.inc,
	image/fppixlcanv.pp, image/fpreadbmp.pp, image/fpreadjpeg.pas,
	image/fpreadpnm.pp, image/fpreadtga.pp, image/fpreadxpm.pp,
	image/fpwritebmp.pp, image/fpwritejpeg.pas, image/fpwritepng.pp,
	image/fpwritepnm.pp, image/fpwritetga.pp, image/fpwritexpm.pp,
	image/freetype.pp, image/freetypeh.pp, image/imgconv.pp,
	image/pixtools.pp, image/pngcomn.pp, image/pscanvas.pp,
	image/targacmn.pp, inc/avl_tree.pp, inc/base64.pp,
	inc/bufstream.pp, inc/cachecls.pp, inc/cgiapp.pp, inc/contnrs.pp,
	inc/custapp.pp, inc/eventlog.pp, inc/ezcgi.pp, inc/felog.inc,
	inc/fpasync.pp, inc/gettext.pp, inc/idea.pp, inc/inifiles.pp,
	inc/iostream.pp, inc/pipes.pp, inc/process.pp, inc/regdef.inc,
	inc/regini.inc, inc/registry.pp, inc/resolve.pp, inc/rtfdata.inc,
	inc/rtfpars.pp, inc/rttiutils.pp, inc/ssockets.pp, inc/streamio.pp,
	inc/syncob.inc, inc/syncobh.inc, inc/wformat.pp, inc/whtml.pp,
	inc/wtex.pp, inc/xmlreg.pp, inc/xregreg.inc, inc/zstream.pp,
	linux/syncobjs.pp, net/fpsock.pp, net/httpbase.pp,
	net/httpclient.pp, net/httpsvlt.pp, net/mkxmlrpc.pp,
	net/servlets.pp, net/xmlrpc.pp, net/tests/rpccli.pp,
	net/tests/rpcserv.pp, net/tests/svrclass.pp, netware/custapp.inc,
	netware/eventlog.inc, netware/ezcgi.inc, netware/pipes.inc,
	netware/resolve.inc, netwlibc/custapp.inc, netwlibc/eventlog.inc,
	netwlibc/ezcgi.inc, netwlibc/pipes.inc, netwlibc/resolve.inc,
	netwlibc/syncobjs.pp, os2/custapp.inc, os2/eventlog.inc,
	os2/ezcgi.inc, os2/pipes.inc, passrc/pastree.pp,
	passrc/paswrite.pp, passrc/pparser.pp, passrc/pscanner.pp,
	posix/custapp.inc, posix/ezcgi.inc, posix/pipes.inc,
	posix/thread.inc, qnx/classes.pp, qnx/eventlog.inc,
	shedit/doc_text.pp, shedit/drawing.inc, shedit/keys.inc,
	shedit/sh_pas.pp, shedit/sh_xml.pp, shedit/shedit.pp,
	shedit/undo.inc, shedit/gtk/gtkdemo.pp, shedit/gtk/gtkshedit.pp,
	sunos/classes.pp, sunos/eventlog.inc, template/classes.pp,
	template/template.pp, template/thread.inc, tests/asiotest.pp,
	tests/b64.pp, tests/b64dec.pp, tests/b64enc.pp, tests/b64test.pp,
	tests/b64test2.pp, tests/cachetest.pp, tests/cfgtest.pp,
	tests/doecho.pp, tests/dparser.pp, tests/dsockcli.pp,
	tests/dsocksvr.pp, tests/fstream.pp, tests/htdump.pp,
	tests/isockcli.pp, tests/isocksvr.pp, tests/istream.pp,
	tests/list.pp, tests/mstream.pp, tests/restest.pp,
	tests/showver.pp, tests/sockcli.pp, tests/socksvr.pp,
	tests/stringl.pp, tests/testapp.pp, tests/testbs.pp,
	tests/testcgi.pp, tests/testez.pp, tests/testhres.pp,
	tests/testnres.pp, tests/testproc.pp, tests/testreg.pp,
	tests/testrhre.pp, tests/testrnre.pp, tests/testrsre.pp,
	tests/testrtf.pp, tests/testser.pp, tests/testsres.pp,
	tests/testur.pp, tests/testz.pp, tests/testz2.pp, tests/threads.pp,
	tests/tidea.pp, tests/tstelcmd.pp, tests/tstelgtk.pp,
	tests/txmlreg.pp, tests/xmldump.pp, unix/asyncio.inc,
	unix/asyncioh.inc, unix/custapp.inc, unix/eventlog.inc,
	unix/ezcgi.inc, unix/pipes.inc, unix/process.inc, unix/resolve.inc,
	win32/custapp.inc, win32/ezcgi.inc, win32/fileinfo.pp,
	win32/httpapp.pp, win32/pipes.inc, win32/process.inc,
	win32/resolve.inc, win32/syncobjs.pp, xml/dom.pp, xml/dom_html.pp,
	xml/htmldefs.pp, xml/htmwrite.pp, xml/sax.pp, xml/sax_html.pp,
	xml/xhtml.pp, xml/xmlcfg.pp, xml/xmlread.pp, xml/xmlstreaming.pp,
	xml/xmlwrite.pp, xml/xpath.pp:
	
	  * truncate log

2005-02-14 17:39  peter <peter@freepascal.org>

	* fcl/inc/iostream.pp:
	
	  * fixed stdinput reading under win32

2005-02-07 12:24  joost

	* fcl/db/sqldb/interbase/ibconnection.pp:
	
	  - Added support for SetSchemaInfo
	  - Uses the aliasname as the displayname

2005-02-07 12:23  joost

	* fcl/db/sqldb/sqldb.pp:
	
	  - implemented TSQLQuery.SetSchemaInfo
	  - added support for delete and insert

2005-02-07 12:23  joost

	* fcl/db/dbconst.pp:
	
	  - added SMetadataUnavailable
	  - added SDeletedRecord

2005-02-07 12:22  joost

	* fcl/db/fields.inc:
	
	  - Implemented TField.DisplayName

2005-02-07 12:21  joost

	* fcl/db/db.pp:
	
	  - Added TDataset.InternalInsert
	  - Implemented TField.DisplayName
	  - added support for TBufDataset delete and insert

2005-02-07 12:19  joost

	* fcl/db/dataset.inc:
	
	  - Fixed insertion at buffer-limit
	  - Added TDataset.InternalInsert
	  - The deDatasetScrollEvent was not always raised
	  - Changed resync-order in AppendRecord

2005-02-07 12:18  joost

	* fcl/db/bufdataset.inc:
	
	bufdataset.inc:   - fixed bookmarks   - added support for delete
	and insert   - removed allocation for unused memory   - fixed
	tfield.isnull for nil-buffers

2005-02-06 19:24  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc:
	
	+ Added streamio

2005-02-06 19:23  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/streamio.pp:
	
	+ Initial implementation

2005-02-04 18:53  joost

	* fcl/db/sqldb/postgres/pqconnection.pp:
	
	implemented use of HostName

2005-02-04 18:50  joost

	* fcl/db/sqldb/mysql/mysql4conn.pas:
	
	fixed GetClientInfo for dynamically linked client

2005-02-03 21:33  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/memds/Makefile, db/mysql/Makefile,
	db/odbc/Makefile, db/sdf/Makefile, db/sqldb/Makefile,
	db/sqldb/interbase/Makefile, db/sqldb/mysql/Makefile,
	db/sqldb/postgres/Makefile, db/sqlite/Makefile, db/tests/Makefile,
	fpcunit/Makefile, fpcunit/exampletests/Makefile,
	fpcunit/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2005-02-03 20:10  florian <florian@freepascal.org>

	* fcl/db/db.pp:
	
	  + adapted for use fo tcollection.owner

2005-02-01 21:23  florian <florian@freepascal.org>

	* fcl/xml/: xmlread.pp, xmlwrite.pp:
	
	  * adapted to new widestring manager

2005-02-01 10:05  marco <marcov@stack.nl>

	* fcl/db/dsparams.inc:
	
	 * delete fix

2005-01-31 23:12  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpimage.inc:
	
	+ small speedup of memoryimage.setsize

2005-01-31 21:28  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: fpimage.inc, fpimage.pp:
	
	+ Overloaded SaveToFile with version that detects writer to use

2005-01-24 22:50  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpcanvas.inc:
	
	+ Fixed ellipse drawing

2005-01-24 11:53  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/postgres/pqconnection.pp:
	
	  * Patch from Joost van der Sluis
	  - Use of the dynamically loaded library (postgres3dyn)
	  - support for the postgreSQL'a internal fieldtype 'name'
	  - implemented UpdateIndexDefs
	  - Support for more then one query for each connection

2005-01-24 11:53  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/mysql/mysql4conn.pas:
	
	  * Patch from Joost van der Sluis
	  - Made it possible to run 'show...' queries for MySQL
	  - Use of the dynamically loaded library (mysql4dyn)
	  - implemented UpdateIndexDefs
	  - Support for more then one query for each connection

2005-01-24 11:52  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/sqldb.pp:
	
	  * Patch from Joost van der Sluis
	  - Made it possible to run 'show' queries for MySQL

2005-01-22 21:54  michael <michael.vancanneyt@wisa.be>

	* fcl/xml/xmlread.pp:
	
	* Patch from Colin Western to correctly read CDATA

2005-01-16 00:41  michael <michael.vancanneyt@wisa.be>

	* fcl/unix/process.inc:
	
	+ Use baseunix fpexecv* calls

2005-01-12 20:14  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqlite/sqliteds.pas:
	
	  * Patch from Luiz Americo
	 - implements AutoInc fields
	 - add IndexFieldName: now the user can choose what field use as
	primary key (used to apply updates).
	   There's no  more necessity of using _ROWID_
	 - SetRecNo and GetRecNo are working
	 - Fixed issues when used in lazarus (i will send a package to
	lazarus list)

2005-01-12 15:04  michael <michael.vancanneyt@wisa.be>

	* fcl/fpcunit/: fpcunit.pp, exampletests/fpcunittests.pp:
	
	 * Patch from Dean Zobec:
	 - added AssertSame, AssertNotSame, AssertNull, AssertNotNull for
	pointers
	 - fixed a TTestCase test: thanks to Peter Vreman RTTI method names
	are not
	   uppercase anymore in 1.9.7

2005-01-12 12:37  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpcanvas.pp:
	
	Changed order of pen modes

2005-01-12 11:31  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/interbase/ibconnection.pp:
	
	 * Patch from Joost Van der Sluis:
	 - implemented UpdateIndexDefs
	 - make use of the dyn. linked ibase-unit

2005-01-12 11:30  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/sqldb.pp:
	
	 * Patch from Joost Van der Sluis:
	   - implemented TSQLQuery.UpdateIndexDefs
	   - implemented TSQLQuery.ReadOnly
	   - implemented TSQLQuery.IndexDefs
	   - implemented TSQLQuery.UpdateMode
	   - implemented TSQLQuery.UsePrimaryKeyAsKey (Set pfInKey in the
	     providerflags
	     of fields that are in the primary index of the underlying
	table)
	   - Added support for updates on date-fields

2005-01-12 11:29  michael <michael.vancanneyt@wisa.be>

	* fcl/db/fields.inc:
	
	 * Patch from Joost Van der Sluis:
	   - removed some duplicate definitions
	   - restructured SetDataset
	   - implemented UpdateMode, ProviderFlags

2005-01-12 11:29  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbconst.pp:
	
	  * Patch from Joost Van der Sluis:
	  - added error message for if transaction of DB is not set

2005-01-12 11:28  michael <michael.vancanneyt@wisa.be>

	* fcl/db/db.pp:
	
	  * Patch from Joost Van der Sluis:
	   - implemented TUpdateMode, TProviderFlags
	   - implemented TIndexDef, TIndexDefs

2005-01-12 11:27  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dataset.inc:
	
	  * Patch from Joost Van der Sluis:
	  - implemented ControlsDisabled

2005-01-12 11:27  michael <michael.vancanneyt@wisa.be>

	* fcl/db/bufdataset.inc:
	
	   - implemented ControlsDisabled
	   - implemented TUpdateMode, TProviderFlags
	   - implemented TIndexDef, TIndexDefs
	   - added error message for if transaction of DB is not set
	   - removed some duplicate definitions
	   - restructured SetDataset
	   - implemented UpdateMode, ProviderFlags

2005-01-11 18:27  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: fpbrush.inc, fpcanvas.inc, fpcanvas.pp, fpcdrawh.inc,
	fphelper.inc, fpimgcanv.pp:
	
	* Patches from Mattias Gaertner to include FPCanvas in LCL

2005-01-11 18:07  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/memds/Makefile, db/mysql/Makefile,
	db/odbc/Makefile, db/sdf/Makefile, db/sqldb/Makefile,
	db/sqldb/interbase/Makefile, db/sqldb/mysql/Makefile,
	db/sqldb/postgres/Makefile, db/sqlite/Makefile, db/tests/Makefile,
	fpcunit/Makefile, fpcunit/exampletests/Makefile,
	fpcunit/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2005-01-10 23:49  armin

	* fcl/: Makefile, Makefile.fpc:
	
	* updated makefile.fpc versions to 1.9.7, regenerated makefiles

2005-01-10 22:29  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/memds/Makefile, db/mysql/Makefile,
	db/odbc/Makefile, db/sdf/Makefile, db/sqldb/Makefile,
	db/sqldb/interbase/Makefile, db/sqldb/mysql/Makefile,
	db/sqldb/postgres/Makefile, db/sqlite/Makefile, db/tests/Makefile,
	fpcunit/Makefile, fpcunit/exampletests/Makefile,
	fpcunit/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated to use cpu-os

2005-01-09 14:15  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/bufstream.pp:
	
	+ Moved ownerstream to classes unit

2005-01-09 14:13  michael <michael.vancanneyt@wisa.be>

	* fcl/tests/: Makefile, Makefile.fpc, README, testbs.pp:
	
	+ Added bufstream example

2005-01-09 14:10  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc:
	
	+ Added bufstream

2005-01-09 14:09  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/bufstream.pp:
	
	+ Initial check-in

2005-01-08 02:32  michael <michael.vancanneyt@wisa.be>

	* fcl/xml/xmlwrite.pp:
	
	+ Fixed writing of fragments

2004-12-30 21:57  hajny <xhajt03@mbox.vol.cz>

	* fcl/: Makefile, Makefile.fpc:
	
	  * version 1.9.6

2004-12-29 21:27  michael <michael.vancanneyt@wisa.be>

	* fcl/db/fields.inc:
	
	+ Patch from Joost van der Sluis to correct AsVariant

2004-12-29 15:32  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/interbase/ibconnection.pp:
	
	  * Patch from Joost van der Sluis:
	  - deallocate SQLDA

2004-12-29 15:31  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/sqldb.pp:
	
	  + Patch from Joost van der Sluis:
	  - implemented support for modifying queries, with a simple parser
	  - implemented ApplyRecUpdate

2004-12-29 15:30  michael <michael.vancanneyt@wisa.be>

	* fcl/db/db.pp:
	
	  + Patch from Joost van der Sluis
	  - implemented CachedUpdates (only modifications, no
	inserts/deletes)
	  - implemented GetAsVariant/SetAsVariant for all fields
	  - implemented TField.OldValue as a variant
	  - changed TField.Value to a variant

2004-12-29 15:30  michael <michael.vancanneyt@wisa.be>

	* fcl/db/bufdataset.inc:
	
	  Patch from Joost Van der Sluis:
	  - implemented CachedUpdates (only modifications, no
	inserts/deletes)
	  - fixed GetRecNo

2004-12-27 14:53  michael <michael.vancanneyt@wisa.be>

	* fcl/classes/: classesh.inc, reader.inc, writer.inc:
	
	+ Patch for localization of string properties

2004-12-24 10:18  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/contnrs.pp:
	
	+ Changed FreeAndNil to simple free (From Mattias Gaertner)

2004-12-24 09:52  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpcanvas.pp:
	
	+ Added psInsideFrame penstyle

2004-12-24 09:31  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: drawing.pp, fpcanvas.pp, fpfont.inc, fphelper.inc,
	fppixlcanv.pp, ftfont.pp, pixtools.pp, pscanvas.pp:
	
	+ Patch from Mattias Gaertner to rename TFPCanvasHelper.Color ->
	FPCOlor

2004-12-23 13:08  michael <michael.vancanneyt@wisa.be>

	* fcl/image/pixtools.pp:
	
	+ Pmand->Pmmask, pmOr ->pmMerge

2004-12-23 12:19  michael <michael.vancanneyt@wisa.be>

	* fcl/image/ellipses.pp:
	
	+ Pmand->Pmmask, pmOr ->pmMerge

2004-12-23 09:34  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpcanvas.pp:
	
	+ Fixed PenMode

2004-12-23 09:16  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: fpcanvas.pp, fphelper.inc:
	
	+ Patch from Mattias to support GraphicsObject methods

2004-12-22 16:33  peter <peter@freepascal.org>

	* fcl/inc/contnrs.pp:
	
	  * fixed compile

2004-12-22 13:05  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/contnrs.pp:
	
	+ Fixed bug 3461

2004-12-22 08:46  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: fpcanvas.pp, fppen.inc, fppixlcanv.pp:
	
	+ Some changes for Mattias Gaertner, to use canvas in Lazarus

2004-12-21 23:29  florian <florian@freepascal.org>

	* fcl/passrc/pparser.pp:
	
	  * fixed previous patch

2004-12-21 23:19  florian <florian@freepascal.org>

	* fcl/passrc/pparser.pp:
	
	  * fixed memory corruption

2004-12-20 19:37  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/memds/Makefile, db/mysql/Makefile,
	db/odbc/Makefile, db/sdf/Makefile, db/sqldb/Makefile,
	db/sqldb/interbase/Makefile, db/sqldb/mysql/Makefile,
	db/sqldb/postgres/Makefile, db/sqlite/Makefile, db/tests/Makefile,
	fpcunit/Makefile, fpcunit/exampletests/Makefile,
	fpcunit/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2004-12-19 18:42  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/memds/Makefile, db/mysql/Makefile,
	db/odbc/Makefile, db/sdf/Makefile, db/sqldb/Makefile,
	db/sqldb/interbase/Makefile, db/sqldb/mysql/Makefile,
	db/sqldb/postgres/Makefile, db/sqlite/Makefile, db/tests/Makefile,
	fpcunit/Makefile, fpcunit/exampletests/Makefile,
	fpcunit/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2004-12-16 22:11  armin

	* fcl/db/sqldb/interbase/ibconnection.pp:
	
	* changed SQLScale compare in TranslateFldType from a set compare
	to a real integer compare

2004-12-16 00:02  florian <florian@freepascal.org>

	* fcl/db/dsparams.inc:
	
	  * fixed compilation for targets where comp=int64

2004-12-15 22:15  peter <peter@freepascal.org>

	* fcl/db/: bufdataset.inc, ddg_ds.pp, sdf/sdfdata.pp:
	
	  * 64bit fixes

2004-12-13 21:19  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: db.pp, dbconst.pp, dsparams.inc:
	
	+ Initial implementation of params

2004-12-13 20:23  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/testsqldb.pp:
	
	+ Some corrections from Joost van der Sluis

2004-12-13 20:22  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/sqldb.pp:
	
	  * Ptahc from Joost van der Sluis
	  - moved IsCursorOpen from TSQLQuery to tbufdataset
	  - moved SetFieldData from TSQLQuery to TBufDataset
	  - very first start for support of cached updates

2004-12-13 20:21  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/interbase/ibconnection.pp:
	
	  * Patch from Joost van der Sluis
	  - set fielddefs.precision only for ftBCD fields
	  - Changed FFieldFlag into an dynamic array
	  - Allocated 2 more bytes for varchar's (Fixed segfault)
	  - added support for TLargeintFields

2004-12-13 20:20  michael <michael.vancanneyt@wisa.be>

	* fcl/db/fields.inc:
	
	  * Patch from Joost van der Sluis
	  - fixed bug #3180, TFields.Clear implemented
	  - implemented TLargeintField

2004-12-13 20:20  michael <michael.vancanneyt@wisa.be>

	* fcl/db/db.pp:
	
	  * Patch from Joost van der Sluis
	  - moved IsCursorOpen from TSQLQuery to tbufdataset
	  - moved SetFieldData from TSQLQuery to TBufDataset
	  - very first start for support of cached updates

2004-12-13 20:19  michael <michael.vancanneyt@wisa.be>

	* fcl/db/bufdataset.inc:
	
	  * Patch from Joost van der Sluis
	  - implemented GetRecNo and SetRecNo
	  - implemented GetRecordCount
	  - moved IsCursorOpen from TSQLQuery to tbufdataset
	  - moved SetFieldData from TSQLQuery to TBufDataset
	  - very first start for support of cached updates

2004-12-13 20:18  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dataset.inc:
	
	  * Patch from Joost van der Sluis
	  - TDataset.IsSequenced returns True, like Delphi does
	  - TDataset.RecNo returns -1, just like Delphi
	  - TDataset.GetRecordCount returns -1, just like Delphi

2004-12-08 22:00  michael <michael.vancanneyt@wisa.be>

	* fcl/fpcunit/: README.txt, tests/suitetest.pp:
	
	  * Patch from Dean Zobec
	  - memory leaks fixed in the money example;
	  - no more need to start the test methods with "test"

2004-12-08 20:12  michael <michael.vancanneyt@wisa.be>

	* fcl/fpcunit/: fpcunit.pp, exampletests/fpcunittests.pp,
	exampletests/money.pp, exampletests/moneytest.pp:
	
	  * New patch from Dean Zobec
	  - memory leaks fixed in the money example;
	  - no more need to start the test methods with "test"

2004-12-07 15:13  armin

	* fcl/: Makefile, Makefile.fpc, netwlibc/syncobjs.pp:
	
	* added syncobj for netwlibc

2004-12-06 20:16  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/: pparser.pp, pscanner.pp:
	
	+ Some cleanup, removed some keywords which are not keywords

2004-12-06 10:01  michael <michael.vancanneyt@wisa.be>

	* fcl/fpcunit/: README.txt, fpcunit.pp,
	exampletests/fpcunittests.pp:
	
	Patch from Dean Zobec to support ansistrings

2004-12-06 09:53  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/: paswrite.pp, pparser.pp, pastree.pp:
	
	+ Fix from Dave Strodtman to properly support packed

2004-12-05 18:07  hajny <xhajt03@mbox.vol.cz>

	* fcl/: shedit/Makefile, shedit/gtk/Makefile, tests/Makefile,
	xml/Makefile:
	
	  * Makefiles regenerated

2004-12-05 18:04  hajny <xhajt03@mbox.vol.cz>

	* fcl/: fpcunit/Makefile, fpcunit/exampletests/Makefile,
	fpcunit/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile:
	
	  * Makefiles regenerated

2004-12-05 18:01  hajny <xhajt03@mbox.vol.cz>

	* fcl/db/: sdf/Makefile, sqldb/Makefile, sqldb/interbase/Makefile,
	sqldb/mysql/Makefile, sqldb/postgres/Makefile, sqlite/Makefile,
	tests/Makefile:
	
	  * Makefiles regenerated

2004-12-05 17:58  hajny <xhajt03@mbox.vol.cz>

	* fcl/: Makefile, db/dbase/Makefile, db/interbase/Makefile,
	db/memds/Makefile, db/mysql/Makefile, db/odbc/Makefile:
	
	  * Makefiles regenerated

2004-12-05 12:17  hajny <xhajt03@mbox.vol.cz>

	* fcl/db/Makefile:
	
	  * all targets supported again

2004-12-05 01:05  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: Makefile, database.inc, db.pp, fields.inc,
	sqldb/testsqldb.pp:
	
	patch to enable RecNo and DisplayFormat

2004-12-04 23:46  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/mysql/mysql4conn.pas:
	
	  * Patch from Joost van der Sluis
	  - adapted for the changes in TBuffDataset

2004-12-04 23:45  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/postgres/pqconnection.pp:
	
	  * Patch from Joost van der Sluis
	  - added support for time,date and datetime fields
	  - added support for tbooleanfield
	  - adapted for the changes in TBuffDataset

2004-12-04 23:45  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/interbase/ibconnection.pp:
	
	  * Patch from Joost van der Sluis
	  - added support for TBCDFields
	  - fixed some warnings
	  - removed FSQLDAAllocated and replaced freemem and getmem by
	(re)allocmem
	  - adapted for the changes in TBuffDataset
	  - moved FFieldFlag to the TIBCursor

2004-12-04 23:44  michael <michael.vancanneyt@wisa.be>

	* fcl/db/db.pp:
	
	  * Patch from Joost van der Sluis
	  - implemented TBCDFields
	  - adapted for the changes in TBuffDataset

2004-12-04 23:43  michael <michael.vancanneyt@wisa.be>

	* fcl/db/fields.inc:
	
	  - implemented TBCDFields

2004-12-04 23:43  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/sqldb.pp:
	
	  * Patch from Joost van der Sluis
	  - replaced checkactive in commit and rollback for 'if active'
	  - fixed a warning
	  - adapted for the changes in TBuffDataset

2004-12-04 23:43  michael <michael.vancanneyt@wisa.be>

	* fcl/db/bufdataset.inc:
	
	  * Patch from Joost van der Sluis
	  - Changed TBuffDataset so that descendents only have to take care
	of
	    individual fields.
	  - implemented a default NULL values support

2004-12-04 16:49  peter <peter@freepascal.org>

	* fcl/fpcunit/: Makefile, Makefile.fpc:
	
	  * only have exampletests as exampledir

2004-11-30 22:18  michael <michael.vancanneyt@wisa.be>

	* fcl/db/fields.inc:
	
	+ Fix from Jesus Reyes to fix TfieldDefs.Assign

2004-11-30 21:49  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/: dbf.pas, dbf_common.pas, dbf_dbffile.pas,
	dbf_fields.pas, dbf_idxfile.pas, history.txt:
	
	+ Upgraded to version 6.4.1

2004-11-29 20:16  michael <michael.vancanneyt@wisa.be>

	* fcl/: COPYING, COPYING.FPC:
	
	+ Added license to this library

2004-11-26 14:03  armin

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/memds/Makefile, db/mysql/Makefile,
	db/sdf/Makefile, db/sqldb/Makefile, db/sqldb/interbase/Makefile,
	db/sqldb/mysql/Makefile, db/sqldb/postgres/Makefile,
	db/sqlite/Makefile, db/tests/Makefile, fpcunit/Makefile,
	fpcunit/exampletests/Makefile, fpcunit/tests/Makefile,
	image/Makefile, net/Makefile, net/tests/Makefile, passrc/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	* applied peters patch for cross compile (bin installation)

2004-11-22 20:51  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc:
	
	+ Added fpcunit

2004-11-22 20:49  michael <michael.vancanneyt@wisa.be>

	* fcl/fpcunit/: exampletests/Makefile, exampletests/Makefile.fpc,
	tests/Makefile, tests/Makefile.fpc:
	
	+ Moved targets to units

2004-11-22 20:47  michael <michael.vancanneyt@wisa.be>

	* fcl/fpcunit/: Makefile, Makefile.fpc, exampletests/Makefile,
	exampletests/Makefile.fpc, tests/Makefile, tests/Makefile.fpc,
	Makefile, Makefile.fpc:
	
	+ Initial implementation

2004-11-22 20:36  michael <michael.vancanneyt@wisa.be>

	* fcl/fpcunit/: README.txt, fpcunit.pp, testregistry.pp,
	testreport.pp, testutils.pp, tests/asserttest.pp,
	tests/frameworktest.pp, tests/suitetest.pp,
	exampletests/fpcunittests.pp, exampletests/money.pp,
	exampletests/moneytest.pp, demo/consolerunner/suiteconfig.pp,
	demo/consolerunner/testrunner.pp:
	
	+ Initial import

2004-11-08 22:16  peter <peter@freepascal.org>

	* fcl/inc/avl_tree.pp:
	
	  * 64bit fix

2004-11-06 00:23  peter <peter@freepascal.org>

	* fcl/: Makefile, Makefile.fpc:
	
	  * fixed dependency cycle with xmlreg

2004-11-05 23:32  peter <peter@freepascal.org>

	* fcl/: Makefile, Makefile.fpc, inc/avl_tree.pp, xml/dom.pp,
	xml/dom_html.pp, xml/htmldefs.pp, xml/htmwrite.pp, xml/sax_html.pp,
	xml/xmlcfg.pp, xml/xmlread.pp, xml/xmlwrite.pp, xml/xpath.pp:
	
	  * merged xml updates from lazarus

2004-11-05 09:32  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: bufdataset.inc, database.inc, dataset.inc, db.pp,
	dbconst.pp, sqldb/sqldb.pp, sqldb/interbase/ibconnection.pp,
	sqldb/postgres/pqconnection.pp:
	
	TBufDataset.inc:   - replaced Freemem by Reallocmem, Free by
	FreeAndNil
	
	Database.inc:	- Moved Active property from TSQLTransaction to
	TDBTransaction	 - Gives an error if the database of an active
	transaction is changed
	
	Dataset.inc   - Don't distribute events if FDisableControlsCount >
	0   - Replaced FActive by FState<>dsInactive   - Set EOF after
	append
	
	db.pp:	 - Removed duplicate definition of TAlignment	- Moved
	Active property from TSQLTransaction to TDBTransaction	 - Replaced
	FActive by FState<>dsInactive	- Gives an error if the database of
	an active transaction is changed
	
	sqldb:	 - Moved Active property from TSQLTransaction to
	TDBTransaction	 - replaced Freemem by Reallocmem, Free by
	FreeAndNil
	
	IBConnection:	- Moved FSQLDAAllocated to the cursor
	
	PQConnection:	- Don't try to free the statement if a fatal error
	occured

2004-11-02 08:38  peter <peter@freepascal.org>

	* fcl/image/fpimage.pp:
	
	  * fixed data element too large

2004-10-30 14:36  peter <peter@freepascal.org>

	* fcl/: Makefile, Makefile.fpc, db/Makefile, db/Makefile.fpc,
	db/dbase/Makefile, db/dbase/Makefile.fpc, db/interbase/Makefile,
	db/interbase/Makefile.fpc, db/memds/Makefile,
	db/memds/Makefile.fpc, db/mysql/Makefile, db/mysql/Makefile.fpc,
	db/odbc/Makefile, db/odbc/Makefile.fpc, db/sdf/Makefile,
	db/sdf/Makefile.fpc, db/sqldb/Makefile, db/sqldb/Makefile.fpc,
	db/sqldb/interbase/Makefile, db/sqldb/interbase/Makefile.fpc,
	db/sqldb/mysql/Makefile, db/sqldb/mysql/Makefile.fpc,
	db/sqldb/postgres/Makefile, db/sqldb/postgres/Makefile.fpc,
	db/sqlite/Makefile, db/sqlite/Makefile.fpc, db/tests/Makefile,
	image/Makefile, image/Makefile.fpc, net/Makefile, net/Makefile.fpc,
	net/tests/Makefile, passrc/Makefile, passrc/Makefile.fpc,
	shedit/Makefile, shedit/Makefile.fpc, shedit/gtk/Makefile,
	tests/Makefile, xml/Makefile, xml/Makefile.fpc:
	
	  * units are now created in separate directory units/cpu-os/
	  * distclean uses cleanall rule and removes units dir
	  * cross compile support fixed, it is now possible to cycle a
	ppcsparc
	    without deleting ppc386
	  * bintutilsperfix defaults to cpu-os-

2004-10-27 09:24  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/testsqldb.pp:
	
	+ Initial check in (From Joost van der Sluis

2004-10-27 09:23  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: bufdataset.inc, database.inc, dataset.inc, db.pp,
	dbconst.pp, sqldb/sqldb.pp, sqldb/interbase/ibconnection.pp,
	sqldb/mysql/mysql4conn.pas, sqldb/postgres/pqconnection.pp,
	sqlite/Makefile, sqlite/Makefile.fpc:
	
	+ Patch from Joost Van der Sluis to fix transactions

2004-10-25 11:16  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqlite/sqliteds.pas:
	
	+ Fixed double use of counter

2004-10-24 12:17  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqlite/: browseds.pas, concurrencyds.pas, createds.pas,
	fillds.pas, testds.pas:
	
	+ Adapted to new calls for createtable and new field types

2004-10-22 22:54  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqlite/: sqlitedataset.pas, sqliteds.pas:
	
	* Patch from Luiz Americo   - add support for
	word,datetime,date,time,float,boolean field types   - changes name
	of CreateDataset to CreateTable as TDbf,TMemds	 - updates the
	example programs to reflect the above modifications   - fixes
	compilation with fpc 1.0.10   - fixes to work with LCL	 - also
	fixes violation in close function and a memory leak in the old
	sqlite dataset

2004-10-18 17:21  peter <peter@freepascal.org>

	* fcl/db/dbase/: Makefile, Makefile.fpc:
	
	  * dup dbf_wtil

2004-10-16 22:08  marco <marcov@stack.nl>

	* fcl/db/dbase/: Makefile, Makefile.fpc:
	
	 * Wtil -> wtil

2004-10-16 20:55  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/pparser.pp:
	
	+ Support for cross-unit aliases

2004-10-16 11:31  michael <michael.vancanneyt@wisa.be>

	* fcl/db/memds/testpop.pp:
	
	+ Use fields.count instead of fieldcount testpop.pp

2004-10-16 11:30  michael <michael.vancanneyt@wisa.be>

	* fcl/db/Dataset.txt:
	
	+ Conform latest issues

2004-10-16 11:27  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dataset.inc:
	
	+ Fixed GotoBookMark (as suggested by Americo Luiz)

2004-10-16 11:21  michael <michael.vancanneyt@wisa.be>

	* fcl/image/imgconv.pp:
	
	+ Support for PNM image

2004-10-16 11:21  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpreadtga.pp:
	
	* Support for image comment in TARGA

2004-10-16 11:20  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: dbconst.pp, dbwhtml.pp:
	
	+ Moved resourcestrings to dbconst

2004-10-16 11:19  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/: Makefile, Makefile.fpc:
	
	+ Added missing file

2004-10-16 11:17  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/: Dbf.pas, Dbf_Avl.pas, Dbf_Common.inc,
	Dbf_Common.pas, Dbf_Cursor.pas, Dbf_DbfFile.pas, Dbf_Fields.pas,
	Dbf_IdxCur.pas, Dbf_IdxFile.pas, Dbf_Lang.pas, Dbf_Memo.pas,
	Dbf_Parser.pas, Dbf_PgFile.pas, Dbf_PgcFile.pas, Dbf_PrsCore.pas,
	Dbf_PrsDef.pas, Dbf_PrsSupp.pas, Dbf_Reg.pas, Dbf_Str.inc,
	Dbf_Str.pas, Dbf_Str_FR.pas, Dbf_Str_ITA.pas, Dbf_Str_NL.pas,
	Dbf_Str_PL.pas, Dbf_Str_RU.pas, Dbf_Struct.inc, Dbf_Wtil.pas,
	Makefile, Makefile.fpc, dbf.pas, dbf_avl.pas, dbf_common.inc,
	dbf_common.pas, dbf_cursor.pas, dbf_dbffile.pas, dbf_fields.pas,
	dbf_idxcur.pas, dbf_idxfile.pas, dbf_lang.pas, dbf_memo.pas,
	dbf_parser.pas, dbf_pgcfile.pas, dbf_pgfile.pas, dbf_prscore.pas,
	dbf_prsdef.pas, dbf_prssupp.pas, dbf_reg.pas, dbf_str.inc,
	dbf_str.pas, dbf_str_es.pas, dbf_str_fr.pas, dbf_str_ita.pas,
	dbf_str_nl.pas, dbf_str_pl.pas, dbf_str_pt.pas, dbf_str_ru.pas,
	dbf_struct.inc, dbf_wtil.pas, tdbf_l.pas:
	
	Updated to version 6.4.0

2004-10-16 11:10  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/: Dbf.pas, history.txt, readme.txt, testdbf.pp:
	
	+ Updated to version 6.4.0 of TDBF component

2004-10-10 16:49  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: Makefile, Makefile.fpc:
	
	+ Fixed some dependencies

2004-10-10 16:45  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: db.pp, dbconst.pp, dbs.inc, sqldb/sqldb.pp, Makefile,
	Makefile.fpc:
	
	+ Use of dbconst for resource strings

2004-10-10 16:26  michael <michael.vancanneyt@wisa.be>

	* fcl/db/bufdataset.inc:
	
	* Patch from joost van der sluis not to realloc buffers

2004-10-10 16:25  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: dataset.inc, db.pp:
	
	+ Small fix for close so it does not check browsemode

2004-10-10 16:24  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/: sqldb.pp, interbase/ibconnection.pp,
	mysql/mysql4conn.pas, postgres/pqconnection.pp:
	
	* Large patch from Joost Van der Sluis.  * Float fix in interbase +
	Commit and commitretaining for pqconnection + Preparestatement and
	prepareselect joined.  + Freestatement and FreeSelect joined +
	TSQLQuery.GetSQLStatementType implemented + TBufDataset.AllocBuffer
	now no longer does a realloc + Fetch=True means succesfully got
	data. False means end of data.	+ Default implementation of
	GetFieldData implemented/

2004-10-10 12:29  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/cgiapp.pp:
	
	+ Added support for file uploads

2004-10-06 09:28  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqlite/sqliteds.pas:
	
	Some fixes from Luiz Americo, fixes destroy

2004-10-02 16:52  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/: Makefile, Makefile.fpc, sqldb.pp:
	
	+ Added mysql connection

2004-10-02 16:50  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/mysql/: Makefile, Makefile.fpc, mysql4conn.pas:
	
	+ Initial check-in

2004-09-30 21:36  michael <michael.vancanneyt@wisa.be>

	* fcl/db/mysql/: Makefile, Makefile.fpc, mtest.pp, mysqldb.pp,
	mysqldb3.pp, mysqldb4.pp:
	
	+ Split out in version 3 and 4

2004-09-29 22:26  michael <michael.vancanneyt@wisa.be>

	* fcl/db/mysql/mysqldb.pp:
	
	+ Adapted to version 4 of mysql

2004-09-27 17:17  peter <peter@freepascal.org>

	* fcl/db/sqldb/: Makefile, interbase/Makefile, postgres/Makefile:
	
	  * regenerate

2004-09-26 20:56  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/postgres/pqconnection.pp:
	
	+ Fix to use postgres3 unit

2004-09-26 19:13  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/postgres/pqconnection.pp:
	
	+ Corrected used unit postgres3 -> postgres

2004-09-26 18:58  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/postgres/: Makefile, Makefile.fpc, pqconnection.pp:
	
	+ Initial Postgres implementation from Joost van der Sluis

2004-09-26 18:56  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/: Makefile, Makefile.fpc, sqldb.pp,
	interbase/ibconnection.pp:
	
	+ Further fixes from Joost van der sluis for Postgresql

2004-09-26 18:55  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: bufdataset.inc, database.inc, dataset.inc, db.pp,
	dbs.inc:
	
	* big patch from Joost van der Sluis  bufdataset.inc:	fix
	getrecord (prior)   getcanmodify default false database.inc /
	db.inc:   Added transactions dataset.inc:   raise error if trying
	to insert into an readonly dataset db.inc:   remove published
	properties from bufdataset   changed ancestor of tbufdataset to
	tdbdataset

2004-09-26 11:35  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqlite/sqliteds.pas:
	
	+ Fixes to CreateDataset from Luiz Americo

2004-09-26 02:21  michael <michael.vancanneyt@wisa.be>

	* fcl/db/interbase/interbase.pp:
	
	+ Patch from Jesus Reyes to fix the change to TField.AsFloat
	(double)

2004-09-23 20:55  armin

	* fcl/inc/ssockets.pp:
	
	* corrected format for seListenFailed

2004-09-20 09:13  michael <michael.vancanneyt@wisa.be>

	* fcl/db/mysql/mysqldb.pp:
	
	+ Database property published

2004-09-19 01:24  armin

	* fcl/inc/ssockets.pp:
	
	+ netwlibc support * added error number to seAcceptFailed exception

2004-09-17 21:03  armin

	* fcl/: Makefile, Makefile.fpc, inc/ssockets.pp:
	
	* added ssockets for target netwlibc

2004-09-15 14:22  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dataset.inc:
	
	Suggested fix from Luiz Americo to .resync method

2004-09-15 14:20  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqlite/sqliteds.pas:
	
	+ Two more small fixes in CreateDataset

2004-09-15 14:19  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqlite/sqliteds.pas:
	
	+ Small fix in CreateDataset

2004-09-15 14:16  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqlite/: browseds.pas, concurrencyds.pas, createds.pas,
	fillds.pas, sqliteds.pas, testds.pas:
	
	+ Initial implementation from Luiz Americo

2004-09-13 18:02  peter <peter@freepascal.org>

	* fcl/passrc/pparser.pp:
	
	  * fix nested for-loop with same index

2004-09-13 18:01  peter <peter@freepascal.org>

	* fcl/image/fpreadtga.pp:
	
	  * fix nested for-loop that used the same index

2004-09-13 17:42  peter <peter@freepascal.org>

	* fcl/inc/cgiapp.pp:
	
	  * removed wrong for

2004-09-12 00:26  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/process.pp:
	
	* Added ThreadID, ProcessID properties

2004-09-10 22:31  michael <michael.vancanneyt@wisa.be>

	* fcl/win32/process.inc:
	
	* Patch from Vincent Snijders to initialize some variables
	correctly

2004-09-10 08:32  armin

	* fcl/netware/custapp.inc:
	
	* custapp.inc was missing for netware

2004-09-09 15:47  michael <michael.vancanneyt@wisa.be>

	* fcl/: inc/process.pp, win32/process.inc:
	
	+ Patch from Vincent Snijders to correctly handle PeekExitStatus

2004-09-08 20:17  michael <michael.vancanneyt@wisa.be>

	* fcl/: inc/process.pp, unix/process.inc, win32/process.inc:
	
	+ Removed extra handle on process.

2004-09-05 21:39  armin

	* fcl/netwlibc/: custapp.inc, eventlog.inc, ezcgi.inc, pipes.inc,
	resolve.inc:
	
	* first version of fcl for netwlibc

2004-09-05 10:56  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/pscanner.pp:
	
	+ Fixed line 404 - missing brackets

2004-09-05 01:33  armin

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/memds/Makefile, db/mysql/Makefile,
	db/sdf/Makefile, db/sqldb/Makefile, db/sqldb/interbase/Makefile,
	db/sqlite/Makefile, db/tests/Makefile, image/Makefile,
	net/Makefile, net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	* makefiles regenerated * ide: added target netwlibc

2004-09-03 18:10  michael <michael.vancanneyt@wisa.be>

	* fcl/win32/process.inc:
	
	+ PeekExitStatus fix from Vincent Snijders

2004-09-02 08:50  michael <michael.vancanneyt@wisa.be>

	* fcl/unix/process.inc:
	
	+ WaitOnExit now really waits. Patch from Vincent Snijders

2004-08-31 11:50  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: bufdataset.inc, Makefile, Makefile.fpc, datasource.inc,
	db.pp:
	
	+ Initial TBufDataset by Joost van der Sluis

2004-08-31 11:49  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqldb/: Makefile, Makefile.fpc, sqldb.pp,
	interbase/Makefile, interbase/Makefile.fpc,
	interbase/ibconnection.pp:
	
	+ initial implementation of TSQLQuery

2004-08-30 14:02  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dataset.inc:
	
	+ Patch from Joost van der Sluis for Insert/Resync

2004-08-26 11:33  mazen <mazen@freepascal.org>

	* fcl/image/fpreadpnm.pp:
	
	+ add PBM (P4) support

2004-08-25 11:32  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/pscanner.pp:
	
	+ Fix for relative pathnames in include files, and code cleanup

2004-08-23 09:30  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: dataset.inc, db.pp:
	
	+ Fixes from joost van der sluis: tfieldsdefs.tdatafield and size,
	cancel of only record and dataset.fieldvalyes

2004-08-21 23:10  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: dataset.inc, fields.inc:
	
	* Patch from Joost van der Sluis   - Empty recordsets don't show
	any bogus data anymore	 - Floatfiels.gettext fix   -
	SetBufListsize fix forTDBGrid

2004-08-16 10:06  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/rttiutils.pp:
	
	+ Fixed some int<->object proprty issues which prevent 64 bit
	compilation

2004-08-14 22:33  sg <sg@freepascal.org>

	* fcl/net/xmlrpc.pp:
	
	* Added callback for RPC filtering etc. for XML-RPC servlets

2004-08-14 22:31  sg <sg@freepascal.org>

	* fcl/net/fpsock.pp:
	
	* Sockets now use REUSE_ADDR by default, to enable fast restarts of
	server	 applications

2004-08-14 14:46  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: db.pp, dataset.inc:
	
	+ Patch from Joost van der Sluis to implement Modified and
	UpdateRecord event

2004-08-13 12:00  michael <michael.vancanneyt@wisa.be>

	* fcl/unix/process.inc:
	
	+ Fix for command-line property

2004-08-13 11:46  michael <michael.vancanneyt@wisa.be>

	* fcl/win32/process.inc:
	
	+ Fixed PeekExitStatus

2004-08-13 09:06  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: Dataset.txt, dataset.inc, db.pp, dbs.inc,
	odbc/testodbc.mdb:
	
	+ Rework of buffer management by Joost Van der Sluis

2004-08-12 21:04  michael <michael.vancanneyt@wisa.be>

	* fcl/: darwin/process.inc, freebsd/process.inc:
	
	+ Outdated. Needs replacing with a new version.

2004-08-12 16:33  michael <michael.vancanneyt@wisa.be>

	* fcl/: inc/process.pp, unix/process.inc, win32/process.inc:
	
	+ New split of process.pp

2004-08-11 23:42  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/pipes.pp:
	
	+ Added CreatePipeHandles call to interface

2004-08-08 20:22  jonas <jonas.maebe@rug.ac.be>

	* fcl/image/fpcanvas.inc:
	
	  * fixed an uninitialised variable, please check for correctness!

2004-08-08 19:03  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/: Makefile, Makefile.fpc:
	
	+ Patch from Vincent Snijders to fix Win32 install

2004-08-07 18:32  florian <florian@freepascal.org>

	* fcl/classes/: classesh.inc, compon.inc:
	
	  * tcomponent.destroying is now called in
	tcomponent.beforedestruction

2004-08-03 21:08  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dataset.inc:
	
	+ Latest patch from Micha Nelissen

2004-08-02 17:13  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dataset.inc:
	
	+ Patch from Micha Nelissen to implement Delete method

2004-08-01 15:00  michael <michael.vancanneyt@wisa.be>

	* fcl/db/fields.inc:
	
	+ Patch for Tlongintfield by Joost van der Sluis

2004-08-01 10:17  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/Makefile:
	
	+ Patch from Vincent Snijders to fix installer

2004-08-01 10:11  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/: Makefile, Makefile.fpc:
	
	+ Patch from Vincent Snijders to fix installer

2004-07-30 14:55  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/process.pp:
	
	Closing process handles in Windows. Patch from Vincent Snijders

2004-07-25 13:32  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: database.inc, dataset.inc, db.pp,
	interbase/interbase.pp:
	
	* Patches from Joost van der Sluis   interbase.pp:	 * Removed
	unused Fprepared       * Changed the error message 'database
	connect string not filled	  in' to 'database connect string
	(databasename) not filled in'	    * Preparestatement and execute
	now checks if transaction is	     assigned (in stead of crashing
	if it isn't) and if the 	transaction isn't started, it calls
	starttransaction.
	
	   dataset.inc:
	      * In DoInternalOpen the buffers are now initialised before
	the
		dataset is set into browse-state
	
	   database.inc and db.pp:
	      * If the dataset is created from a stream, the database is
	opened
		after the dataset is read completely

2004-07-24 20:20  marco <marcov@stack.nl>

	* fcl/db/dbase/: Makefile, Makefile.fpc:
	
	 * makefile fix

2004-07-24 02:03  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/pastree.pp:
	
	+ Fixed getdeclaration of TPasRecordType (semicolons not/wrongly
	placed)

2004-07-24 01:42  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/pastree.pp:
	
	+ Worked around bug in compiler that finalizes constants in
	subroutines

2004-07-24 01:41  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/pscanner.pp:
	
	+ Fixed scanning of strings with quotes in them

2004-07-24 01:40  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/pparser.pp:
	
	+ Fixed value of constant strings (added quotes)

2004-07-23 23:50  hajny <xhajt03@mbox.vol.cz>

	* fcl/db/: Makefile, Makefile.fpc, dbase/Makefile,
	dbase/Makefile.fpc:
	
	  - dbase disable for everything except Win32, Linux and FreeBSD
	running on I386 until fixed

2004-07-23 23:43  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/pastree.pp:
	
	+ Fixed error (never-ending loops) in trecordtype.GetDeclaration

2004-07-22 20:09  michael <michael.vancanneyt@wisa.be>

	* fcl/Makefile:
	
	+ Regenerated using recent fpcmake

2004-07-19 22:27  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: db.pp, fields.inc:
	
	+ Fixes from Jesus Reyes to implement DisplayWith, DisplayLabel,
	Visibility

2004-07-19 18:30  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/: Dbf.pas, Dbf_Avl.pas, Dbf_Common.inc,
	Dbf_Common.pas, Dbf_Cursor.pas, Dbf_DbfFile.pas, Dbf_Fields.pas,
	Dbf_IdxCur.pas, Dbf_IdxFile.pas, Dbf_Memo.pas, Dbf_Parser.pas,
	Dbf_PgFile.pas, Dbf_PgcFile.pas, Dbf_PrsCore.pas, Dbf_PrsDef.pas,
	Dbf_Reg.pas, Dbf_Str.pas, Dbf_Str_FR.pas, Dbf_Str_ITA.pas,
	Dbf_Str_NL.pas, Dbf_Str_PL.pas, Dbf_Str_RU.pas, Dbf_Struct.inc,
	Dbf_Wtil.pas, history.txt, package.txt:
	
	+ version 6.3.7 of Tdbf component

2004-07-18 15:16  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: db.pp, fields.inc:
	
	+ Changed extended to double for better Delphi compatibility

2004-07-17 20:37  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc, inc/rttiutils.pp:
	
	+ Added RTTIUtils unit

2004-07-16 21:37  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dataset.inc:
	
	+ Fix in resync for empty table

2004-07-14 09:22  michael <michael.vancanneyt@wisa.be>

	* fcl/tests/b64.pp:
	
	+ New example for base64 encoding

2004-07-12 10:41  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: dbase/Makefile, Makefile:
	
	+ Regenerated with newest fpcmake

2004-07-11 20:59  peter <peter@freepascal.org>

	* fcl/db/: Makefile, Makefile.fpc:
	
	  * disable dbase for non-i386 until it is really tested

2004-07-11 20:58  peter <peter@freepascal.org>

	* fcl/db/dbase/Dbf_Common.pas:
	
	  * fix difference between intf and imp

2004-07-10 01:30  peter <peter@freepascal.org>

	* fcl/db/dbase/: Dbf_Common.inc, Dbf_Common.pas:
	
	  * non-i386 fixes

2004-07-10 01:27  peter <peter@freepascal.org>

	* fcl/db/dbase/Dbf_Common.inc:
	
	  * intel style is default for delphi mode

2004-06-27 17:47  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/Dbf.pas:
	
	+ Fix from Vincent snijders to fix compilation on Win32

2004-06-27 00:37  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/Dbf_DbfFile.pas:
	
	+ Small Win32 fix

2004-06-23 09:07  fpc

	* fcl/db/dbase/dbf_str.inc:
	
	. Conflicts with capitalized version

2004-06-21 22:49  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/: Dbf.pas, Dbf_Avl.pas, Dbf_Common.inc,
	Dbf_Common.pas, Dbf_Cursor.pas, Dbf_DbfFile.pas, Dbf_Fields.pas,
	Dbf_IdxCur.pas, Dbf_IdxFile.pas, Dbf_Lang.pas, Dbf_Memo.pas,
	Dbf_Parser.pas, Dbf_PgFile.pas, Dbf_PgcFile.pas, Dbf_PrsCore.pas,
	Dbf_PrsDef.pas, Dbf_PrsSupp.pas, Dbf_Reg.pas, Dbf_Str.inc,
	Dbf_Str.pas, Dbf_Str_FR.pas, Dbf_Str_ITA.pas, Dbf_Str_NL.pas,
	Dbf_Str_PL.pas, Dbf_Str_RU.pas, Dbf_Struct.inc, Dbf_Wtil.pas,
	Makefile, Makefile.fpc, dbf.pas, dbf_str.inc, history.txt,
	package.txt, readme.txt, testdbf.pp:
	
	Updated to version 6.3.4

2004-05-30 11:44  michael <michael.vancanneyt@wisa.be>

	* fcl/Makefile:
	
	+ Version 1.9.4

2004-05-30 11:15  florian <florian@freepascal.org>

	* fcl/Makefile.fpc:
	
	  * first part of version number update

2004-05-23 20:25  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/memds/Makefile, db/mysql/Makefile,
	db/odbc/Makefile, db/sdf/Makefile, db/sqlite/Makefile,
	db/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2004-05-16 15:24  peter <peter@freepascal.org>

	* fcl/passrc/pparser.pp:
	
	  * remove not implemented method

2004-05-02 23:23  peter <peter@freepascal.org>

	* fcl/db/: dataset.inc, datasource.inc, db.pp, ddg_ds.pp,
	fields.inc, dbase/dbf.pas, sdf/sdfdata.pp:
	
	  * use ptrint

2004-05-02 23:12  peter <peter@freepascal.org>

	* fcl/image/fpimgcmn.pp:
	
	  * 64bit fix

2004-05-02 22:17  peter <peter@freepascal.org>

	* fcl/xml/: xmlread.pp, xmlwrite.pp:
	
	  * use sizeint

2004-05-02 18:49  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/xmlreg.pp:
	
	+ Fixed ansistring -> widestring conversion issue (bugrep 3013)

2004-05-02 01:56  michael <michael.vancanneyt@wisa.be>

	* fcl/db/interbase/interbase.pp:
	
	+ Published TDataset properties

2004-05-01 22:08  marco <marcov@stack.nl>

	* fcl/passrc/pscanner.pp:
	
	 * Exception on file not found

2004-04-21 01:36  olle

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/memds/Makefile, db/mysql/Makefile,
	db/odbc/Makefile, db/sdf/Makefile, db/sqlite/Makefile,
	db/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * updated according to the new version of fpcmake.ini

2004-04-18 21:38  michael <michael.vancanneyt@wisa.be>

	* fcl/classes/stringl.inc:
	
	+ Patch from Colin Western

2004-04-16 00:15  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/pparser.pp:
	
	+ Added support for deprecated after function/procedures

2004-03-25 21:43  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: dataset.inc, db.pp, fields.inc:
	
	Some compatibility additions

2004-03-20 23:05  florian <florian@freepascal.org>

	* fcl/db/sdf/Makefile:
	
	  * regenerated

2004-03-20 21:40  florian <florian@freepascal.org>

	* fcl/image/Makefile:
	
	  * updated with arm support

2004-03-20 00:37  michael <michael.vancanneyt@wisa.be>

	* fcl/db/memds/memds.pp:
	
	Dataset is opened before copying data

2004-03-20 00:19  michael <michael.vancanneyt@wisa.be>

	* fcl/db/db.pp:
	
	+ Corrected the Fields property.

2004-03-19 19:24  peter <peter@freepascal.org>

	* fcl/: Makefile.fpc, db/Makefile, db/Makefile.fpc,
	db/memds/Makefile, db/memds/Makefile.fpc:
	
	  * deb packaging fixes
	  * make deb NODOCS=1 support added

2004-03-18 23:40  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: Makefile, Makefile.fpc:
	
	+ Added memds

2004-03-18 23:27  michael <michael.vancanneyt@wisa.be>

	* fcl/db/memds/: Makefile, Makefile.fpc, README, memds.pp,
	testcp.pp, testld.pp, testopen.pp, testpop.pp:
	
	+ Initial implementation

2004-03-16 20:22  marco <marcov@stack.nl>

	* fcl/darwin/syncobjs.pp:
	
	 * copy'n paste

2004-03-14 23:26  carl <carl@freepascal.org>

	* fcl/: Makefile, Makefile.fpc:
	
	terrible hack to make the things work for 1.0.10a (continued),
	nobody should notice it.

2004-03-14 23:22  carl <carl@freepascal.org>

	* fcl/: Makefile, Makefile.fpc:
	
	terrible hack to make the things work for 1.0.10a

2004-03-14 23:13  carl <carl@freepascal.org>

	* fcl/Makefile.fpc:
	
	bugfix for beos compilation in fixes branch

2004-03-13 23:32  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: Makefile, Makefile.fpc:
	
	+ Added sdf dir

2004-03-13 23:31  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sdf/: Makefile, Makefile.fpc, fpc.ssx, fpc.ssy,
	sdfdata.pp, testfix.pp, testsdf.pp:
	
	+ Initial implementation

2004-03-03 01:03  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpreadpnm.pp:
	
	+ Fixed reading of pnm

2004-03-02 23:41  michael <michael.vancanneyt@wisa.be>

	* fcl/image/targacmn.pp:
	
	+ Forgot to commit support for writing targa

2004-03-02 22:59  michael <michael.vancanneyt@wisa.be>

	* fcl/image/Makefile:
	
	* Regenerated for all targets

2004-03-02 22:26  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: Makefile, Makefile.fpc, fpwritetga.pp, imgconv.pp:
	
	+ Implemented TARGA writing. Currently only 24 bit

2004-03-02 00:46  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpreadbmp.pp:
	
	+ Corrected alpha in colormap

2004-03-02 00:45  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: Makefile, Makefile.fpc, fpreadtga.pp, imgconv.pp,
	targacmn.pp:
	
	+ Targa support. Only 24 bit input tested.

2004-03-01 10:46  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/ezcgi.pp:
	
	+ Fixed bug reported by Tomasz Lipinski (2997)

2004-02-25 18:06  florian <florian@freepascal.org>

	* fcl/darwin/process.inc:
	
	  + dummy added to keep darwin dir alive

2004-02-25 17:29  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: db.pp, fields.inc:
	
	+ Added AsInteger to TField. Maps to AsLongint for now

2004-02-25 03:36  pierre <muller@cerbere.u-strasbg.fr>

	* fcl/image/fpreadbmp.pp:
	
	* fix compilation with 1.0 compiler

2004-02-22 16:37  hajny <xhajt03@mbox.vol.cz>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/sqlite/Makefile,
	db/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/gtk/Makefile,
	shedit/Makefile, tests/Makefile, xml/Makefile:
	
	Makefiles regenerated

2004-02-21 00:52  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpwritebmp.pp:
	
	+ Added support for 32-bit writing. Standard is still 24 bit.

2004-02-21 00:12  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpreadbmp.pp:
	
	+ Read/WriteScanline virtual, as intended

2004-02-21 00:07  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpreadbmp.pp:
	
	+ Small improvements. More cosmetic in nature

2004-02-21 00:00  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpreadbmp.pp:
	
	+ Small improvements. More cosmetic in nature

2004-02-20 23:42  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: bmpcomn.pp, fpreadbmp.pp:
	
	+ More modular reading of BMP for easier overriding in descendents

2004-02-20 22:12  michael <michael.vancanneyt@wisa.be>

	* fcl/image/imgconv.pp:
	
	+ Added jpeg support

2004-02-20 21:46  michael <michael.vancanneyt@wisa.be>

	* fcl/net/fpsock.pp:
	
	+ Fixes for 1.1 - revised from Marcos stuff

2004-02-15 21:59  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: bmpcomn.pp, fpimage.pp, fpreadbmp.pp, fpreadxpm.pp:
	
	+ Patch from Colin Western

2004-02-09 01:41  marco <marcov@stack.nl>

	* fcl/: Makefile, image/Makefile:
	
	 * More florian

2004-02-09 01:38  marco <marcov@stack.nl>

	* fcl/xml/Makefile:
	
	 * Florians request

2004-02-08 00:55  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: fpreadjpeg.pas, fpwritejpeg.pas, fpreadjpeg.pas:
	
	+ Registered handlers for jpeg

2004-02-08 00:37  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: Makefile, Makefile.fpc:
	
	+ Forgot pasjpeg dependency

2004-02-08 00:26  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: Makefile, Makefile.fpc:
	
	+ Corrected typo: forgot to remove extension

2004-02-08 00:17  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: Makefile, Makefile.fpc, fpreadjpeg.pas,
	fpwritejpeg.pas:
	
	+ Added jpeg support via jpeglib

2004-02-03 12:58  sg <sg@freepascal.org>

	* fcl/xml/README:
	
	* Documented some recent changes

2004-02-03 11:37  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/resolve.pp:
	
	+ Fixed win32 compilation

2004-02-03 09:12  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/process.pp:
	
	+ Patch from Vincent Snijders to fix passing environment vars in
	win32

2004-02-02 18:43  sg <sg@freepascal.org>

	* fcl/net/: Makefile, Makefile.fpc:
	
	* Added unit httpclient

2004-02-02 18:12  sg <sg@freepascal.org>

	* fcl/net/: httpbase.pp, httpclient.pp, xmlrpc.pp:
	
	* Some small fixes to get the code at least compiling again; the
	HTTP   client class is not expected to work at the moment, and the
	XML-RPC   client has been fully disabled for now.

2004-02-02 17:53  sg <sg@freepascal.org>

	* fcl/net/mkxmlrpc.pp:
	
	* Small fix in GetConversionInfo (result was not fully cleared)

2004-02-02 17:50  sg <sg@freepascal.org>

	* fcl/inc/fpasync.pp:
	
	* Destroying a line reader or write buffer now works within an
	event	handler of these classes

2004-02-02 15:42  marco <marcov@stack.nl>

	* fcl/inc/resolve.pp:
	
	 * more small fixes

2004-02-02 15:39  marco <marcov@stack.nl>

	* fcl/net/fpsock.pp:
	
	 * 1.0.x problems fixed

2004-02-02 09:39  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqlite/sqlitedataset.pas:
	
	+ Fixed inherited create

2004-01-31 20:13  sg <sg@freepascal.org>

	* fcl/net/: Makefile, Makefile.fpc, fpsock.pp, http.pp,
	httpbase.pp, httpclient.pp, httpsvlt.pp, tests/rpcserv.pp:
	
	* Splittet old HTTP unit into httpbase and httpclient * Many
	improvements in fpSock (e.g. better disconnection detection)

2004-01-31 20:02  sg <sg@freepascal.org>

	* fcl/inc/resolve.pp:
	
	* Tries to first resolve names locally before contacting the DNS
	server

2004-01-20 13:27  sg <sg@freepascal.org>

	* fcl/xml/xmlwrite.pp:
	
	* "<" and ">" are now written as "&lt;" and "&gt;"

2004-01-20 09:50  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpreadxpm.pp:
	
	+ Patch from Colin Western for case sensitive color codes

2004-01-06 00:34  marco <marcov@stack.nl>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/odbc/Makefile,
	db/sqlite/Makefile, db/tests/Makefile, image/Makefile,
	net/Makefile, net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	 * regenerating the makefiles with some netbsd fixes + version
	upgrades

2004-01-06 00:29  marco <marcov@stack.nl>

	* fcl/Makefile.fpc:
	
	 * fixed a few makefiles version numbers

2004-01-05 22:21  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dataset.inc:
	
	+ Fix in setbuflistsize for when Value=-1

2004-01-05 13:54  jonas <jonas.maebe@rug.ac.be>

	* fcl/: Makefile, Makefile.fpc, db/Makefile, db/Makefile.fpc,
	db/dbase/Makefile, db/interbase/Makefile, db/mysql/Makefile,
	db/sqlite/Makefile, db/tests/Makefile, image/Makefile,
	net/Makefile, net/Makefile.fpc, net/tests/Makefile,
	passrc/Makefile, shedit/Makefile, shedit/gtk/Makefile,
	tests/Makefile, xml/Makefile:
	
	  + Darwin support in Makefiles

2003-12-16 10:59  daniel <daniel@deadlock.et.tudelft.nl>

	* fcl/inc/cachecls.pp:
	
	  * Fixed broken indexof function

2003-12-15 09:57  michael <michael.vancanneyt@wisa.be>

	* fcl/classes/: classes.inc, reader.inc:
	
	Patch from Darek Mazur for reading idents from property stream

2003-12-14 23:02  sg <sg@freepascal.org>

	* fcl/image/: freetype.pp, ftfont.pp:
	
	* Fixed memory leaks and severe bugs in font manager (caching
	didn't work   at all and could lead to memory corruption)

2003-12-11 10:23  marco <marcov@stack.nl>

	* fcl/: inc/resolve.pp, unix/resolve.inc:
	
	 * patch from peter

2003-12-10 16:50  marco <marcov@stack.nl>

	* fcl/: inc/resolve.pp, unix/resolve.inc:
	
	 * fpgetcerrno introduction

2003-12-08 00:13  sg <sg@freepascal.org>

	* fcl/db/interbase/interbase.pp:
	
	* Added Log entries to end of file

2003-12-08 00:12  sg <sg@freepascal.org>

	* fcl/db/interbase/interbase.pp:
	
	* Fixed TIBQuery.FreeRecordBuffer for empty buffers

2003-12-02 00:59  sg <sg@freepascal.org>

	* fcl/xml/: xmlread.pp, xmlwrite.pp:
	
	* Added support for main branch to be able to read and write at
	least	ISO8859-1 encoded files correctly. A much improved solution
	will be   provided when the mainbranch RTL fully supports
	Unicode/WideStrings.

2003-11-30 01:06  olle

	* fcl/inc/whtml.pp:
	
	  * bugfix start tag of lists

2003-11-28 23:04  marco <marcov@stack.nl>

	* fcl/inc/registry.pp:
	
	 * fix from Tamas Konkoly (devel list

2003-11-27 12:28  sg <sg@freepascal.org>

	* fcl/net/xmlrpc.pp:
	
	* Debugging output is now enabled when the symbol "XMLRPCDebug"
	exists,   and not generally when compiled in debug mode

2003-11-22 13:47  sg <sg@freepascal.org>

	* fcl/unix/pipes.inc:
	
	* Fixed Marco's fix to make the pipes unit compiling in both
	branches again

2003-11-22 13:14  sg <sg@freepascal.org>

	* fcl/passrc/pparser.pp:
	
	* Added support for source line number information

2003-11-22 13:12  sg <sg@freepascal.org>

	* fcl/passrc/pastree.pp:
	
	* Parse tree elements now can store a line number and source file
	for the   position of their declaration

2003-11-22 13:10  sg <sg@freepascal.org>

	* fcl/net/xmlrpc.pp:
	
	* Just a small adaption to chages in HTTP unit

2003-11-22 13:08  sg <sg@freepascal.org>

	* fcl/net/mkxmlrpc.pp:
	
	* Better error reporting with line numbers * Array properties: The
	size property now can just match the name of the   array property
	as well; so it now also works without a plural "s" after   the base
	name * Added support for TDateTime parameters and results

2003-11-22 13:01  sg <sg@freepascal.org>

	* fcl/net/httpsvlt.pp:
	
	* Adaptions to new version of HTTP unit: All server functionality
	now is	 in this unit, and not http.pp anymore

2003-11-22 12:59  sg <sg@freepascal.org>

	* fcl/net/http.pp:
	
	* Many many changes to prepare a shift to using the servlet classes
	for   HTTP servers; this unit will then contain basic HTTP
	definitions and a   client-only class

2003-11-22 12:55  sg <sg@freepascal.org>

	* fcl/net/fpsock.pp:
	
	* First version, a simple starting point for further development

2003-11-22 12:53  sg <sg@freepascal.org>

	* fcl/net/: Makefile, Makefile.fpc:
	
	* Added unit "fpsock"

2003-11-22 12:51  sg <sg@freepascal.org>

	* fcl/inc/ssockets.pp:
	
	* Added TSocketStream.LocalAddress and .RemoteAddress * TInetSocket
	now also accepts IP addresses as host parameter

2003-11-22 12:46  sg <sg@freepascal.org>

	* fcl/inc/fpasync.pp:
	
	* Removed TAsyncWriteStream.BufferEmpty (not needed anymore)

2003-11-15 11:31  michael <michael.vancanneyt@wisa.be>

	* fcl/xml/dom.pp:
	
	+ Fixed CloneNode overloaded call (from Andreas Hausladen)

2003-11-14 12:08  marco <marcov@stack.nl>

	* fcl/unix/pipes.inc:
	
	 * assignpipe fix

2003-11-09 22:23  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: dataset.inc, db.pp, dbase/dbf.pas:
	
	+ Patch from Micha Nelissen, fixing some Delphi compatibility
	issues

2003-11-05 00:19  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqlite/sqlitedataset.pas:
	
	+ Removed resource linking

2003-11-04 21:00  michael <michael.vancanneyt@wisa.be>

	* fcl/xml/xmlread.pp:
	
	+ Fixed processing instruction parsing. <?xml is not allowed but
	<?xml-XXX is

2003-11-04 20:40  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: Makefile, Makefile.fpc:
	
	+ added sqlite

2003-11-04 20:37  michael <michael.vancanneyt@wisa.be>

	* fcl/db/sqlite/: sqlitedataset.pas, Makefile, Makefile.fpc:
	
	+ Initial check-in

2003-11-04 17:03  peter <peter@freepascal.org>

	* fcl/image/pngcomn.pp:
	
	  * Sysutils added

2003-11-04 16:57  peter <peter@freepascal.org>

	* fcl/image/: Makefile, Makefile.fpc, fpimgcmn.pp, ftfont.pp:
	
	  * fixed compile for 1.9

2003-11-04 10:03  marco <marcov@stack.nl>

	* fcl/freebsd/syncobjs.pp:
	
	 * freebsd version, untested atm

2003-11-04 10:03  marco <marcov@stack.nl>

	* fcl/: Makefile, Makefile.fpc:
	
	 * cleaning of pthreads fixed, syncobj support for freebsd

2003-11-04 10:01  michael <michael.vancanneyt@wisa.be>

	* fcl/image/freetype.pp:
	
	+ Duplicated error messages now correspond in various procedures

2003-11-04 09:49  michael <michael.vancanneyt@wisa.be>

	* fcl/image/freetype.pp:
	
	+ Fixed compiler errors

2003-11-04 09:41  michael <michael.vancanneyt@wisa.be>

	* fcl/image/freetype.pp:
	
	+ Better error messages, simpler error checking

2003-11-04 02:18  michael <michael.vancanneyt@wisa.be>

	* fcl/image/freetype.pp:
	
	+ Fixed another format statement for error when loading font

2003-11-04 02:12  michael <michael.vancanneyt@wisa.be>

	* fcl/image/freetype.pp:
	
	+ Fixed format statement for error when loading font

2003-11-04 01:27  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: Makefile, Makefile.fpc, freetype.pp, freetypeh.pp,
	ftfont.pp:
	
	+ Some fixes for correct compilation and removed debug info

2003-11-03 13:44  daniel <daniel@deadlock.et.tudelft.nl>

	* fcl/image/pscanvas.pp:
	
	  * Made it compile with 1.0.10. Solution is not very nice.

2003-11-01 23:59  marco <marcov@stack.nl>

	* fcl/Makefile.fpc:
	
	 * package version update

2003-10-30 21:34  florian <florian@freepascal.org>

	* fcl/inc/process.pp:
	
	  * fixed inherited destroy; call of tprocess

2003-10-28 23:04  michael <michael.vancanneyt@wisa.be>

	* fcl/classes/streams.inc:
	
	+ Fixed private seeksupport stuff

2003-10-28 17:44  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/odbc/Makefile,
	db/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2003-10-28 09:42  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbwhtml.pp:
	
	+ Added ColumnByName method to TTAbleColumns

2003-10-27 23:38  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbwhtml.pp:
	
	+ Added setting of row/cell attributes

2003-10-27 16:58  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/odbc/Makefile,
	db/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2003-10-27 11:33  marco <marcov@stack.nl>

	* fcl/image/Ellipses.pp:
	
	 * renamed t ellipses.pp

2003-10-27 11:33  marco <marcov@stack.nl>

	* fcl/image/ellipses.pp:
	
	 * renamecommit fix casing

2003-10-27 00:06  luk

	* fcl/image/: Ellipses.pp, drawing.pp, fpcanvas.inc, fpcanvas.pp,
	fppixlcanv.pp, pixtools.pp:
	
	+ implementation of ellipses (drawing, filling, pattern drawing)

2003-10-26 15:52  michael <michael.vancanneyt@wisa.be>

	* fcl/classes/streams.inc:
	
	+ Fixed TStream.CopyFrom with Count=0

2003-10-25 18:24  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/pscanner.pp:
	
	+ FPC also accepts binary numbers starting with %

2003-10-19 23:11  luk

	* fcl/image/imgconv.pp:
	
	* added BMP writer in options * create image with size 0,0 before
	reading (for correct calculation of transparency)

2003-10-19 23:09  luk

	* fcl/image/: fpcolcnv.inc, fpimage.inc, fpimage.pp, fppalette.inc,
	fpreadpng.pp, fpwritepng.pp:
	
	* made PNG read/Write a bit faster * removed color conversion
	routines (except gray) * memory image with size 0,0 trew an
	exception * creation of a TMemoryImage of size 0,0 will have no
	color in palette

2003-10-17 00:04  luk

	* fcl/image/imgconv.pp:
	
	* expanded the test programs

2003-10-17 00:03  luk

	* fcl/image/fpwritepng.pp:
	
	* changed transparAnt to transparEnt * registering handler

2003-10-17 00:00  luk

	* fcl/image/fpreadpng.pp:
	
	* Correct handling of transparency * preventing range check errors
	in transparency reading

2003-10-16 23:59  luk

	* fcl/image/: fppixlcanv.pp, pixtools.pp:
	
	* Floodfill implemented

2003-10-16 23:56  luk

	* fcl/image/: fphandler.inc, fpimage.inc, fpimage.pp,
	fppalette.inc:
	
	* clearing palette (if used) before reading image * determining
	which handler to use for reading image

2003-10-16 23:55  luk

	* fcl/image/fpcolors.inc:
	
	* changed transparAnt to transparEnt

2003-10-16 23:54  luk

	* fcl/image/fpcanvas.pp:
	
	* Pointer to Brushpattern definition

2003-10-09 17:53  peter <peter@freepascal.org>

	* fcl/: classes/felog.inc, inc/felog.inc:
	
	  * moved

2003-10-09 16:35  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/odbc/Makefile,
	db/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2003-10-08 21:06  michael <michael.vancanneyt@wisa.be>

	* fcl/image/drawing.pp:
	
	+ Moved Drawing.pp to drawing.pp

2003-10-07 21:41  marco <marcov@stack.nl>

	* fcl/classes/classesh.inc:
	
	 * 1.0.x compability fix

2003-10-07 16:30  marco <marcov@stack.nl>

	* fcl/classes/lists.inc:
	
	 * 1.0 version of assign

2003-10-06 22:56  peter <peter@freepascal.org>

	* fcl/: classes/netbsd/classes.pp, classes/openbsd/classes.pp,
	netware/classes.pp, netware/thread.inc:
	
	  * moved more targets

2003-10-06 22:33  peter <peter@freepascal.org>

	* fcl/: Makefile, Makefile.fpc, classes/action.inc,
	classes/bits.inc, classes/classes.inc, classes/classesh.inc,
	classes/collect.inc, classes/compon.inc, classes/constse.inc,
	classes/constsg.inc, classes/constss.inc, classes/cregist.inc,
	classes/dm.inc, classes/felog.inc, classes/filer.inc,
	classes/filerec.inc, classes/intf.inc, classes/lists.inc,
	classes/parser.inc, classes/persist.inc, classes/reader.inc,
	classes/streams.inc, classes/stringl.inc, classes/twriter.inc,
	classes/util.inc, classes/writer.inc, classes/freebsd/classes.pp,
	classes/go32v2/classes.pp, classes/linux/classes.pp,
	classes/os2/classes.pp, classes/win32/classes.pp,
	freebsd/classes.pp, freebsd/thread.inc, go32v2/classes.pp,
	go32v2/thread.inc, inc/action.inc, inc/bits.inc, inc/classes.inc,
	inc/classesh.inc, inc/collect.inc, inc/compon.inc, inc/constse.inc,
	inc/constsg.inc, inc/constss.inc, inc/cregist.inc, inc/dm.inc,
	inc/felog.inc, inc/filer.inc, inc/filerec.inc, inc/intf.inc,
	inc/lists.inc, inc/parser.inc, inc/persist.inc, inc/reader.inc,
	inc/streams.inc, inc/stringl.inc, inc/twriter.inc, inc/util.inc,
	inc/writer.inc, linux/classes.pp, linux/thread.inc, os2/classes.pp,
	os2/thread.inc, win32/classes.pp, win32/thread.inc:
	
	  * classes moved to rtl for 1.1
	  * classes .inc and classes.pp files moved to fcl/classes for
	    backwards 1.0.x compatiblity to have it in the fcl

2003-10-06 19:06  florian <florian@freepascal.org>

	* fcl/: freebsd/thread.inc, inc/classesh.inc, linux/thread.inc,
	netware/thread.inc, os2/thread.inc, win32/thread.inc:
	
	  * applied Johannes Berg's patch for exception handling in threads

2003-10-06 19:04  florian <florian@freepascal.org>

	* fcl/db/: db.pp, dataset.inc:
	
	  * small step towards calculated fields

2003-10-04 15:48  marco <marcov@stack.nl>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/odbc/Makefile,
	db/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	 * cross compiling fixes to makefile and fpcmake

2003-10-04 15:33  florian <florian@freepascal.org>

	* fcl/inc/wformat.pp:
	
	  * system unit has a LineEnding

2003-10-04 00:43  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbwhtml.pp:
	
	+ Published tablecolumns property in tableproducer

2003-10-03 23:40  marco <marcov@stack.nl>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/odbc/Makefile,
	db/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	 * CROSSCOMPILING stage 2

2003-10-03 10:43  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/cgiapp.pp:
	
	+ Added response stream

2003-10-03 10:42  michael <michael.vancanneyt@wisa.be>

	* fcl/: db/dbwhtml.pp, inc/whtml.pp:
	
	+ Form support.

2003-10-02 10:50  marco <marcov@stack.nl>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/odbc/Makefile,
	db/tests/Makefile, image/Makefile, net/Makefile,
	net/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	 * remake with new fpc param

2003-10-02 10:41  marco <marcov@stack.nl>

	* fcl/net/tests/Makefile.fpc:
	
	 * fixed fpcdir so that fpcmake works.

2003-10-01 23:07  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbwhtml.pp:
	
	+ Added log/header

2003-10-01 23:06  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: Makefile, Makefile.fpc, dbwhtml.pp:
	
	+ Initial implementation of HTML producer

2003-10-01 23:05  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/wformat.pp:
	
	+ Stream property is now protected

2003-10-01 22:52  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc:
	
	+ Added formatting writers.

2003-10-01 22:49  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/: wformat.pp, whtml.pp, wtex.pp:
	
	+ Initial implementation

2003-09-30 16:17  luk

	* fcl/image/fpreadbmp.pp:
	
	* better color conversion (White didn't stay white)

2003-09-30 14:26  mazen <mazen@freepascal.org>

	* fcl/image/fpreadpnm.pp:
	
	+ reading P6 format implemented.

2003-09-30 09:15  mazen <mazen@freepascal.org>

	* fcl/image/fpreadpnm.pp:
	
	+ Support for PNM (Portable aNyMap) formats (skeleton only)    need
	to complete implementation

2003-09-30 09:10  mazen <mazen@freepascal.org>

	* fcl/image/: Makefile, Makefile.fpc:
	
	+ Support for PNM (Portable aNyMap) formats

2003-09-30 08:23  mazen <mazen@freepascal.org>

	* fcl/image/fpwritepnm.pp:
	
	+ Support for PNM (Portable aNyMap) formats

2003-09-30 08:17  mazen <mazen@freepascal.org>

	* fcl/image/fpreadbmp.pp:
	
	- all common defintions are now included into bmpcomn unit

2003-09-27 16:20  peter <peter@freepascal.org>

	* fcl/: Makefile, Makefile.fpc, db/mysql/Makefile,
	db/mysql/Makefile.fpc, image/Makefile, image/Makefile.fpc,
	passrc/Makefile, passrc/Makefile.fpc, xml/Makefile,
	xml/Makefile.fpc:
	
	  * rst files added

2003-09-25 11:39  mazen <mazen@freepascal.org>

	* fcl/image/fppixlcanv.pp:
	
	+ implementation of DoEllipse

2003-09-23 23:52  luk

	* fcl/image/fpimage.pp:
	
	* using qword instead of int64 for TColordata + hex conversion
	routine for debugging

2003-09-23 23:47  luk

	* fcl/image/: fpreadpng.pp, fpwritepng.pp:
	
	* Fixed reading/writing wrong colors when using bitdepth of 16

2003-09-22 00:06  luk

	* fcl/image/: freetype.pp, freetypeh.pp, ftfont.pp:
	
	+ FreeType font and freetype font library calls + test program for
	fonts

2003-09-22 00:05  luk

	* fcl/image/fpcanvas.pp:
	
	* Getflags/Setflags needs to be virtual

2003-09-22 00:04  luk

	* fcl/image/fpimgcanv.pp:
	
	+ colors array will be clipped when Clipping=true

2003-09-22 00:03  luk

	* fcl/image/fpimage.pp:
	
	+ FPColor function

2003-09-22 00:01  luk

	* fcl/image/fpcolors.inc:
	
	+ colDkGray

2003-09-20 22:25  marco <marcov@stack.nl>

	* fcl/image/fpimage.inc:
	
	 * pintegerarray <-> pfpintegerarray

2003-09-20 22:23  marco <marcov@stack.nl>

	* fcl/unix/ezcgi.inc:
	
	 * fix

2003-09-20 17:10  marco <marcov@stack.nl>

	* fcl/linux/: classes.pp, thread.inc:
	
	 * small fixes. fcl now compiles

2003-09-20 16:51  marco <marcov@stack.nl>

	* fcl/freebsd/thread.inc:
	
	 * small v1_0 fix

2003-09-20 14:38  marco <marcov@stack.nl>

	* fcl/: freebsd/classes.pp, freebsd/thread.inc, inc/process.pp,
	inc/ssockets.pp, unix/ezcgi.inc:
	
	 * FCL now compiles for FreeBSD with new 1.1. Now Linux.

2003-09-17 15:12  mazen <mazen@freepascal.org>

	* fcl/image/fpimage.inc:
	
	+ support for conversion between indexed and RGBA images inside
	TFPMemoryImage * TFPCustomImage moved near other TFPCustomImage
	mathods * ColTransparent added to palette every time it is created
	: after an action on UsePalette   before it was just in constructor
	so not presente after false then true assigned to UsePalette.

2003-09-17 15:08  mazen <mazen@freepascal.org>

	* fcl/image/fpimage.pp:
	
	* SetUsePalette is now virtual to allow descendent perform
	conversion   of image from indexed to non-indexed just by changing
	property UsePalette + Overloded functions Get/Set InternalColors to
	handle both indexed and RGBA   images by the TFPMemoryImage.

2003-09-15 13:39  mazen <mazen@freepascal.org>

	* fcl/image/fpreadbmp.pp:
	
	* fixed InternalRead method to load BMP files.	  But still too
	long to load images.

2003-09-14 15:22  michael <michael.vancanneyt@wisa.be>

	* fcl/db/fields.inc:
	
	+ Fixed error in TField.GetCanModify reported by Andrew Johnson

2003-09-11 19:53  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: Makefile, Makefile.fpc:
	
	+ Added fpreadbmp and bmpcomn

2003-09-09 13:28  mazen <mazen@freepascal.org>

	* fcl/image/fpwritebmp.pp:
	
	* fixing copyright section in the file header

2003-09-09 13:26  mazen <mazen@freepascal.org>

	* fcl/image/fpreadbmp.pp:
	
	+ setting image attributes when loading images * fixing copyright
	section in the file header

2003-09-09 13:22  mazen <mazen@freepascal.org>

	* fcl/image/bmpcomn.pp:
	
	+ adding comment for type defintion in the fpdoc style * fixing
	copyright section in the file header

2003-09-08 16:10  mazen <mazen@freepascal.org>

	* fcl/image/fpreadbmp.pp:
	
	+ adding support for loading bmp images

2003-09-08 16:08  mazen <mazen@freepascal.org>

	* fcl/image/fpwritebmp.pp:
	
	- all common defintions are now included into bmpcomn unit -
	removed erronous code (causing exception)

2003-09-08 16:07  mazen <mazen@freepascal.org>

	* fcl/image/bmpcomn.pp:
	
	+ all common defintions are now included into bmpcomn unit

2003-09-08 14:59  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: Makefile, Makefile.fpc:
	
	+ Added fpwritebmp

2003-09-08 12:38  luk

	* fcl/image/fpwritebmp.pp:
	
	- removed debug info * prevented exceptions when using non indexed
	images

2003-09-08 00:52  luk

	* fcl/image/pixtools.pp:
	
	+ Rectangle filling procedures * Duplicated all line drawing
	procedures with color or canvas.pen.color

2003-09-08 00:51  luk

	* fcl/image/fppixlcanv.pp:
	
	* DoRectangleFill completed with image and pattern

2003-09-08 00:48  luk

	* fcl/image/fpcanvas.pp:
	
	+ TBrushPatern, TPenPattern + increase/decrease functions for TRect

2003-09-05 00:29  luk

	* fcl/image/fpwritebmp.pp:
	
	* correct color conversion (prevent range check errors)

2003-09-05 00:17  luk

	* fcl/image/pixtools.pp:
	
	+ added patterned lines - removed debug messages and Polyline *
	DrawSolidLine has also a version where the color can be given

2003-09-05 00:15  luk

	* fcl/image/fppixlcanv.pp:
	
	+ added patterned lines + added rectangle with horizontal,vertical
	and cross style

2003-09-04 16:03  mazen <mazen@freepascal.org>

	* fcl/image/: fpcanvas.inc, fpcanvas.pp:
	
	+ added Erase method to TFPCustomCanvas to erase (with zeros) the
	image

2003-09-04 14:02  mazen <mazen@freepascal.org>

	* fcl/image/fpwritebmp.pp:
	
	+ fpwritebmp.pas renamed to fpwritebmp.pp

2003-09-04 14:00  mazen <mazen@freepascal.org>

	* fcl/image/fpwritebmp.pas:
	
	- renamed fpwritebmp.pp

2003-09-04 10:44  mazen <mazen@freepascal.org>

	* fcl/image/fpwritebmp.pas:
	
	+ Adds support of writing BMP files

2003-09-02 21:49  hajny <xhajt03@mbox.vol.cz>

	* fcl/os2/classes.pp:
	
	  * compilation fix (typinfo needed already in interface now)

2003-09-02 15:26  mattias

	* fcl/passrc/pscanner.pp:
	
	MG: added IF directive skipping

2003-08-27 10:49  mazen <mazen@freepascal.org>

	* fcl/image/fpwritepng.pp:
	
	* SysUtils unit moved to top of the uses clause to avoid conflicts
	on PByteArray type   defined in SysUtils and fpimgcmn * integer
	replaced with LongWord in definition of TGetPixelFunc

2003-08-25 20:15  marco <marcov@stack.nl>

	* fcl/db/mysql/Makefile:
	
	 * fix

2003-08-25 13:47  luk

	* fcl/image/: fpwritexpm.pp, imgconv.pp:
	
	* fixed size of colors in the palette + option added to set the
	size of the colors

2003-08-25 13:15  marco <marcov@stack.nl>

	* fcl/image/fpreadpng.pp:
	
	 * small fix (sysutils to interface)

2003-08-25 12:50  michael <michael.vancanneyt@wisa.be>

	* fcl/image/Makefile:
	
	+ Regenerated for pngwriter

2003-08-25 10:59  luk

	* fcl/image/: fphandler.inc, fpreadpng.pp, fpwritepng.pp:
	
	* debug writeln removed

2003-08-25 10:53  luk

	* fcl/image/: Makefile.fpc, fpcolcnv.inc, fpimage.inc, fpimage.pp,
	fppixlcanv.pp, fpreadpng.pp, fpwritepng.pp, imgconv.pp:
	
	+ fppngwriter implemented * solved some bugs in pngreader and color
	conversions * pngreader: HandleScanline virtual method added for
	optimisations in descendants

2003-08-17 20:33  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: Makefile, Makefile.fpc, clipping.pp, fpbrush.inc,
	fpcanvas.inc, fpcanvas.pp, fpcdrawh.inc, fpcolcnv.inc,
	fpcolors.inc, fpfont.inc, fphandler.inc, fphelper.inc, fpimage.inc,
	fpimage.pp, fpimgcanv.pp, fpimgcmn.pp, fppalette.inc, fppen.inc,
	fppixlcanv.pp, fpreadpng.pp, fpreadxpm.pp, fpwritexpm.pp,
	imgconv.pp, pixtools.pp, pngcomn.pp, pscanvas.pp:
	
	+ Added header to all files + Added const to calls that accept
	structure as arguments.  + Re-Implemented TPostscriptcanvas as
	descendent of TFPCustomCanvas	(initial tests work)

2003-08-16 18:42  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: database.inc, db.pp, dbs.inc, mysql/Makefile,
	mysql/Makefile.fpc, mysql/mtest.pp, mysql/mysqldb.pp:
	
	+ Fixes in TDBDataset etc. Changed MySQLDb to use database as well

2003-08-16 17:50  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/: classesh.inc, reader.inc, writer.inc:
	
	+ Fix from Mattias gaertner for IDE support

2003-08-15 21:39  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: fpimage.inc, fpimage.pp, fpwritexpm.pp:
	
	+ Added .assign method

2003-08-12 15:49  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/process.pp:
	
	+ Freed streams were not closed correctly

2003-08-09 17:15  marco <marcov@stack.nl>

	* fcl/db/interbase/: README, testib.pp:
	
	 * libdl not imported under *BSD

2003-08-03 23:18  sg <sg@freepascal.org>

	* fcl/inc/fpasync.pp:
	
	* Added TWriteBuffer.OnBufferSent and made this and OnBufferEmpty  
	working correctly

2003-07-26 18:23  michael <michael.vancanneyt@wisa.be>

	* fcl/win32/fileinfo.pp:
	
	 corrected by Michalis:
	  * VerQueryValue parameters (last parameter should be dwBytes
	instead of
	    @dwBytes; you can call
	      VerQueryValue(...,pp,dwBytes) or
	      VerQueryValue(...,@pp,@dwBytes) but NOT
	      VerQueryValue(...,pp,@dwBytes) (and that was the case) )
	  * corrected
	      if not VerQueryValue(p,a,pp,dwBytes) then Exit;
	    to
	      if not VerQueryValue(p,a,pp,dwBytes) then Continue;
	    (when some info is missing the code should skip to the next
	info,
	    not exit)
	  + added destructor to Free FmyVersionStrings and
	FmyVersionCategories objects
	    to avoid memory leaks
	  + added ts.Free (and embedded some code in try..finally..end
	clause)
	    to avoid memory leaks
	  * inherited Create should be called at the beginning of
	constructor
	    (it's just a good coding practice)
	  * getVersionSetting re-written, optimised a little
	(LowerCase(inp) only once;
	    this function is not supposed to be really "optimised" but this
	little
	    improvement was so simple...) (note: when
	TStringList.CaseSensitive will
	    be implemented in FPC, this function can be implemented even
	simpler,
	    just by calling FmyVersionCategories.IndexOf)

2003-07-26 18:20  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/streams.inc:
	
	+ Fixed readstring from TStringStream (

2003-07-23 09:22  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: Makefile, Makefile.fpc:
	
	+ Added canvas implementation

2003-07-23 09:21  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: clipping.pp, fpbrush.inc, fpcanvas.inc, fpcanvas.pp,
	fpcdrawh.inc, fpfont.inc, fphelper.inc, fpimgcanv.pp, fppen.inc,
	fppixlcanv.pp, pixtools.pp:
	
	+ Initial implementation

2003-07-19 17:36  michael <michael.vancanneyt@wisa.be>

	* fcl/db/interbase/testib.pp:
	
	+ dl and crypt only needed on Linux

2003-07-10 13:59  michael <michael.vancanneyt@wisa.be>

	* fcl/image/fpimage.inc:
	
	+ Fixed cltransparant issue

2003-07-09 23:26  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: fpcolors.inc, fppalette.inc, fpreadpng.pp,
	fpreadxpm.pp, fpwritexpm.pp:
	
	+ Changed clColor to colColor

2003-07-04 16:40  peter <peter@freepascal.org>

	* fcl/image/fpimage.pp:
	
	  * fix type declarations > 2gb

2003-07-04 10:55  mattias

	* fcl/image/: fpcolcnv.inc, fpimage.pp:
	
	made palette extendable

2003-07-03 12:20  pierre <muller@cerbere.u-strasbg.fr>

	* fcl/image/: fpimage.pp, fpimgcmn.pp:
	
	 * fix m68k build failure

2003-07-02 11:11  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: Makefile, Makefile.fpc:
	
	+ Fixed dependeny on paszlib

2003-07-02 10:11  luk

	* fcl/image/fpimage.pp:
	
	+ and,xor,or operators for TFPColor

2003-07-02 09:54  luk

	* fcl/image/fpimage.inc:
	
	* initializing data on transparent black color * copied to much
	when changing sizes

2003-07-02 09:51  luk

	* fcl/image/fpreadxpm.pp:
	
	* Alpha channel at Opaque for normal colors

2003-06-30 21:35  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: fphandler.inc, fpimage.inc, fpimage.pp:
	
	+ Added progressevent

2003-06-30 21:18  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: fpcolcnv.inc, fphandler.inc, fpimage.inc, fpimage.pp,
	fppalette.inc, fpreadpng.pp, fpreadxpm.pp, fpwritexpm.pp:
	
	+ Applied patches from Matthias Gaertner

2003-06-30 15:30  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc:
	
	+ Added fpImage

2003-06-30 15:30  michael <michael.vancanneyt@wisa.be>

	* fcl/image/imgconv.pp:
	
	+ PNG writer temporarily changed to XPM writer

2003-06-30 15:30  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: Makefile, Makefile.fpc:
	
	+ Initial import in CVS

2003-06-30 15:20  michael <michael.vancanneyt@wisa.be>

	* fcl/image/: fpcolcnv.inc, fpcolors.inc, fphandler.inc,
	fpimage.inc, fpimage.pp, fpimgcmn.pp, fppalette.inc, fpreadpng.pp,
	fpreadxpm.pp, fpwritexpm.pp, imgconv.pp, pngcomn.pp:
	
	+ Initial import into CVS

2003-06-25 10:56  sg <sg@freepascal.org>

	* fcl/net/mkxmlrpc.pp:
	
	* Added support for reading set properties

2003-06-25 10:53  sg <sg@freepascal.org>

	* fcl/net/httpsvlt.pp:
	
	* Inform the server socket object that it runs non-blocking

2003-06-25 10:49  sg <sg@freepascal.org>

	* fcl/net/xmlrpc.pp:
	
	* Added OnException event to TXMLRPCServlet

2003-06-25 10:41  sg <sg@freepascal.org>

	* fcl/inc/fpasync.pp:
	
	* Fixed serious bug in TGenericLineReader: When the reader gets
	killed	 via StopAndFree during an OnLine callback, the reader now
	will   immediately stop reading, so that the owner of the reader
	can process   the remaining buffer

2003-06-24 14:59  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/pparser.pp:
	
	+ Patches from Matthias Gaertner to fix parsing of LCL

2003-06-18 21:13  sg <sg@freepascal.org>

	* fcl/net/http.pp:
	
	* Fixed silly typo in THttpHeader.SetHeaderValues

2003-06-17 09:35  michael <michael.vancanneyt@wisa.be>

	* fcl/win32/syncobjs.pp:
	
	+ Renamed ManualReset parameter to TEventObject constructor

2003-06-14 21:19  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc:
	
	+ pthreads dependency added for linux

2003-06-14 21:14  michael <michael.vancanneyt@wisa.be>

	* fcl/: inc/syncobh.inc, win32/syncobjs.pp:
	
	+ Some improvements for the Linux version

2003-06-14 21:14  michael <michael.vancanneyt@wisa.be>

	* fcl/linux/syncobjs.pp:
	
	+ Initial implementation

2003-06-14 21:13  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc:
	
	+ Added syncobjs for Linux

2003-06-12 21:00  michael <michael.vancanneyt@wisa.be>

	* fcl/net/mkxmlrpc.pp:
	
	* Supports usage of declarations from other units (as long as
	mkxmlrpc    parsed these units due to a --input=unitname command)

2003-06-12 12:40  michael <michael.vancanneyt@wisa.be>

	* fcl/Makefile:
	
	Regerenated using todays fpcmake

2003-06-11 14:01  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc:
	
	+ Added syncobjs for win32

2003-06-11 13:59  michael <michael.vancanneyt@wisa.be>

	* fcl/: win32/syncobjs.pp, inc/syncobh.inc:
	
	+ Implemented Win32 of syncobjs

2003-06-07 00:39  hajny <xhajt03@mbox.vol.cz>

	* fcl/os2/custapp.inc:
	
	  * OS/2 version of custapp.inc fixed

2003-06-04 19:40  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/classes.inc:
	
	+ Minor fix by Mattias Gaertner

2003-06-04 19:37  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/constse.inc:
	
	en InitInheritedComponent erbij voor Delphi 6 compatibiliteit

2003-06-04 17:32  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/dm.inc:
	
	+ TDatamodule in classes for D6 compatibility

2003-06-04 17:27  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/: classes.inc, classesh.inc:
	
	+ TDataModule en InitInheritedComponent erbij voor Delphi 6
	compatibility

2003-06-01 16:40  marco <marcov@stack.nl>

	* fcl/inc/custapp.pp:
	
	 * Fix to get it to build "name" was considered dup ident. Changed
	to
	    envname and added logs

2003-05-31 20:07  peter <peter@freepascal.org>

	* fcl/Makefile:
	
	  * regenerated

2003-05-30 01:13  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/stringl.inc:
	
	fixed case insensitivity of TStrings.IndexOf

2003-05-30 01:06  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/custapp.pp:
	
	+ And yet more fixes to short option checking

2003-05-30 00:49  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/custapp.pp:
	
	+ Corrected check for required arg to long opt

2003-05-30 00:30  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/custapp.pp:
	
	+ Some more fixes for case-sensitiveness

2003-05-30 00:14  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/custapp.pp:
	
	+ Some fixes after remarks by Matthias Gaertner

2003-05-29 20:39  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc:
	
	+ cgiapp erbij

2003-05-29 17:54  michael <michael.vancanneyt@wisa.be>

	* fcl/tests/: Makefile, Makefile.fpc, README:
	
	+ Renamed testcgi to testez and added testcgi

2003-05-29 17:53  michael <michael.vancanneyt@wisa.be>

	* fcl/tests/: testcgi.html, testcgi.pp, testez.pp:
	
	+ Renamed testcgi to testez and added new testcgi

2003-05-29 17:49  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/cgiapp.pp:
	
	+ Initial implementation of TCGIApplication class

2003-05-29 11:58  michael <michael.vancanneyt@wisa.be>

	* fcl/: go32v2/custapp.inc, inc/custapp.pp, os2/custapp.inc,
	posix/custapp.inc, tests/testapp.pp, unix/custapp.inc,
	win32/custapp.inc, Makefile, Makefile.fpc, tests/Makefile,
	tests/Makefile.fpc, tests/README:
	
	+ Initial version of customapplication object

2003-05-25 18:05  jonas <jonas.maebe@rug.ac.be>

	* fcl/inc/bits.inc:
	
	  * made Args parameter of BitsErrorFmt a const one

2003-05-17 23:53  michael <michael.vancanneyt@wisa.be>

	* fcl/tests/: Makefile, Makefile.fpc, README, testur.pp:
	
	+ Added testur example

2003-05-17 23:52  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/resolve.pp:
	
	+ Added TURIParser class

2003-05-16 09:17  michael <michael.vancanneyt@wisa.be>

	* fcl/db/interbase/interbase.pp:
	
	+ Removed double Database property

2003-05-15 17:16  michael <michael.vancanneyt@wisa.be>

	* fcl/db/interbase/interbase.pp:
	
	+ Database class in TDBDataset is public, not published, redeclared
	here

2003-05-15 17:15  michael <michael.vancanneyt@wisa.be>

	* fcl/db/db.pp:
	
	+ Database class in TDBDataset is public, not published

2003-05-08 23:52  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: datasource.inc, db.pp, dbase/dbf.pas:
	
	+ Patch from Jesus Reyes

2003-05-08 22:04  armin

	* fcl/inc/process.pp:
	
	* Dont close FStartupInfo.hStdError if options include
	poStdErrToOutPut

2003-05-06 14:09  michael <michael.vancanneyt@wisa.be>

	* fcl/db/interbase/interbase.pp:
	
	+ IsCursorOpen implemented correctly

2003-05-06 14:08  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dataset.inc:
	
	+ fixed dataset opening buffer issues

2003-05-06 12:05  michael <michael.vancanneyt@wisa.be>

	* fcl/db/interbase/interbase.pp:
	
	+ Patch to support roles

2003-04-28 16:46  peter <peter@freepascal.org>

	* fcl/: Makefile, net/Makefile:
	
	  * regenerated to support 1.1 compiler

2003-04-27 23:21  sg <sg@freepascal.org>

	* fcl/inc/process.pp:
	
	* Added typecast to prevent range check error in
	TProcess.WaitOnExit

2003-04-27 23:16  sg <sg@freepascal.org>

	* fcl/inc/compon.inc:
	
	* Fixed TComponent.ValidateRename

2003-04-26 18:42  sg <sg@freepascal.org>

	* fcl/net/: Makefile, Makefile.fpc, mkxmlrpc.pp:
	
	* Added mkxmlrpc

2003-04-26 02:16  peter <peter@freepascal.org>

	* fcl/net/: Makefile, Makefile.fpc:
	
	  * fixed so the fcl can be compiled

2003-04-23 13:35  peter <peter@freepascal.org>

	* fcl/win32/thread.inc:
	
	  * wndproc definition fix

2003-04-19 16:29  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/: classes.inc, cregist.inc:
	
	+ Fix from Mattias Gaertner, closes memory leak

2003-04-06 15:37  carl <carl@freepascal.org>

	* fcl/: amiga/eventlog.inc, beos/eventlog.inc, qnx/eventlog.inc,
	sunos/eventlog.inc:
	
	  * Fix compilation problems for some targets

2003-04-04 10:01  michael <michael.vancanneyt@wisa.be>

	* fcl/passrc/pscanner.pp:
	
	+ Patch from Jeff Pohlmeyer to read less than and larger than

2003-04-01 18:09  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/odbc/Makefile,
	db/tests/Makefile, passrc/Makefile, shedit/Makefile,
	shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2003-04-01 17:56  peter <peter@freepascal.org>

	* fcl/win32/: eventlog.inc, winreg.inc:
	
	  * fixed typos

2003-03-30 01:02  hajny <xhajt03@mbox.vol.cz>

	* fcl/: db/dbase/Makefile, db/interbase/Makefile, db/Makefile,
	db/mysql/Makefile, db/tests/Makefile, Makefile, passrc/Makefile,
	shedit/gtk/Makefile, shedit/Makefile, tests/Makefile, xml/Makefile:
	
	  * Makefiles regenerated with corrected fpcmake

2003-03-27 18:14  armin

	* fcl/netware/thread.inc:
	
	* more platform independent thread routines, needs to be
	implemented for unix

2003-03-27 17:32  sg <sg@freepascal.org>

	* fcl/passrc/: pparser.pp, pscanner.pp:
	
	* Added $IFxxx support * Lots of small fixes

2003-03-25 22:08  michael <michael.vancanneyt@wisa.be>

	* fcl/os2/eventlog.inc:
	
	+ Added support for custom log event type

2003-03-25 22:04  michael <michael.vancanneyt@wisa.be>

	* fcl/: inc/eventlog.pp, unix/eventlog.inc, win32/eventlog.inc:
	
	+ Added support for custom log event type

2003-03-25 21:20  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/regdef.inc:
	
	+ HKEY is a cardinal

2003-03-25 18:56  armin

	* fcl/netware/: classes.pp, eventlog.inc, ezcgi.inc, pipes.inc,
	resolve.inc, thread.inc:
	
	* first fcl implementation for netware

2003-03-25 18:49  armin

	* fcl/: Makefile, Makefile.fpc:
	
	+ netware added

2003-03-25 18:47  armin

	* fcl/inc/ssockets.pp:
	
	* use closesocket and not fdClose for netware

2003-03-24 00:47  hajny <xhajt03@mbox.vol.cz>

	* fcl/: shedit/Makefile, shedit/gtk/Makefile, tests/Makefile,
	xml/Makefile:
	
	  + emx target added

2003-03-24 00:44  hajny <xhajt03@mbox.vol.cz>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/odbc/Makefile,
	db/tests/Makefile, passrc/Makefile:
	
	  + emx target added

2003-03-24 00:16  hajny <xhajt03@mbox.vol.cz>

	* fcl/Makefile.fpc:
	
	  + emx target added

2003-03-24 00:02  hajny <xhajt03@mbox.vol.cz>

	* fcl/emx/.cvsignore:
	
	  + emx target added

2003-03-23 02:40  armin

	* fcl/inc/regdef.inc:
	
	* changed HKEY constants to integer

2003-03-22 00:10  armin

	* fcl/inc/ssockets.pp:
	
	* changed defines not win32 to not Unix (Netware is not Unix nor
	win32)

2003-03-20 21:15  hajny <xhajt03@mbox.vol.cz>

	* fcl/os2/eventlog.inc:
	
	  * range checking has to be disabled

2003-03-17 23:32  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc:
	
	+ Updated BSD targets

2003-03-17 23:25  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc, inc/fpasync.pp:
	
	+ Async moved from package to FCL

2003-03-17 15:32  peter <peter@freepascal.org>

	* fcl/xml/xpath.pp:
	
	  * Change ASText return to DOMString in implementation

2003-03-16 23:38  sg <sg@freepascal.org>

	* fcl/xml/sax_html.pp:
	
	* Added fragment parsing functions

2003-03-16 23:32  sg <sg@freepascal.org>

	* fcl/xml/htmldefs.pp:
	
	* Fixed td and th attributes

2003-03-16 23:10  sg <sg@freepascal.org>

	* fcl/xml/: xpath.pp, Makefile, Makefile.fpc:
	
	* Added XPath unit

2003-03-14 19:47  peter <peter@freepascal.org>

	* fcl/passrc/: Makefile, Makefile.fpc:
	
	  * add compiler targetdir

2003-03-13 23:16  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc:
	
	+ Added passrc pascal parser/scanner

2003-03-13 22:52  sg <sg@freepascal.org>

	* fcl/passrc/readme.txt:
	
	* Added readme

2003-03-13 22:47  sg <sg@freepascal.org>

	* fcl/passrc/: Makefile, Makefile.fpc, pastree.pp, paswrite.pp,
	pparser.pp, pscanner.pp:
	
	* First version as part of FCL

2003-03-13 20:19  marco <marcov@stack.nl>

	* fcl/: Makefile, Makefile.fpc:
	
	 * some units added to *BSD not yet tested.

2003-03-12 10:01  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc, Makefile, Makefile.fpc:
	
	+ Added netdb package to requires

2003-03-11 14:15  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/ssockets.pp:
	
	+ Initial version working on Win32. Needs some further work

2003-03-10 22:42  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/ssockets.pp:
	
	+ TSocketStream now uses recv/sendto instead of read/write

2003-03-07 21:57  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/ssockets.pp:
	
	+ Use resolve unit instead of inet unit.

2003-03-07 21:33  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/resolve.pp:
	
	Use native pascal netdb on Linux

2003-03-02 03:01  hajny <xhajt03@mbox.vol.cz>

	* fcl/os2/eventlog.inc:
	
	  + support for OS/2 system log added

2003-02-20 20:30  michael <michael.vancanneyt@wisa.be>

	* fcl/db/db.pp:
	
	+ Fixes from Jesus Reyes

2003-02-20 20:25  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: dataset.inc, datasource.inc:
	
	+ Fixes from Jesus Reyes

2003-02-20 18:12  hajny <xhajt03@mbox.vol.cz>

	* fcl/os2/thread.inc:
	
	  * fixes for OS/2 v2.1 incompatibility

2003-02-19 21:25  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc, go32v2/eventlog.inc,
	inc/eventlog.pp, inc/felog.inc, os2/eventlog.inc, tests/Makefile,
	tests/Makefile.fpc, tests/README, tests/tstelcmd.pp,
	tests/tstelgtk.pp, unix/eventlog.inc, win32/eventlog.inc,
	win32/fclel.mc, win32/fclel.rc, win32/fclel.res:
	
	+ Added event log

2003-02-19 13:54  michael <michael.vancanneyt@wisa.be>

	* fcl/win32/winreg.inc:
	
	+ Added getkeynames,getvaluenames,valueexists,renamevalue

2003-02-19 11:46  michael <michael.vancanneyt@wisa.be>

	* fcl/win32/winreg.inc:
	
	+ Disposition needs correct address when creating key

2003-02-19 09:28  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/xregreg.inc:
	
	Initial implementation of registry

2003-02-18 11:18  michael <michael.vancanneyt@wisa.be>

	* fcl/tests/: Makefile, Makefile.fpc, README:
	
	+ Added registry tests

2003-02-18 11:15  michael <michael.vancanneyt@wisa.be>

	* fcl/tests/: testreg.pp, txmlreg.pp:
	
	+ initial implementation

2003-02-18 11:11  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc:
	
	+ Added registry

2003-02-18 11:10  michael <michael.vancanneyt@wisa.be>

	* fcl/: inc/regdef.inc, inc/regini.inc, inc/registry.pp,
	inc/xmlreg.pp, win32/winreg.inc:
	
	Initial implementation of registry

2003-02-03 11:14  michael <michael.vancanneyt@wisa.be>

	* fcl/: win32/resolve.inc, inc/resolve.pp:
	
	+ Added init/final routines to initialize winsock library

2003-02-03 11:13  michael <michael.vancanneyt@wisa.be>

	* fcl/unix/resolve.inc:
	
	+ Added init/final routines for windows compatibility

2003-02-01 17:50  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc, inc/resolve.pp, unix/resolve.inc,
	win32/resolve.inc:
	
	+ Added resolve unit for WIndows/unix

2003-02-01 17:49  michael <michael.vancanneyt@wisa.be>

	* fcl/tests/: Makefile, Makefile.fpc, README, testhres.pp,
	testnres.pp, testrhre.pp, testrnre.pp, testrsre.pp, testsres.pp:
	
	+ Added resolve tests

2003-01-17 20:01  marco <marcov@stack.nl>

	* fcl/freebsd/thread.inc:
	
	 * small fix

2003-01-15 22:59  sg <sg@freepascal.org>

	* fcl/xml/: dom.pp, xmlread.pp, xmlwrite.pp:
	
	* the units DOM, XMLRead and XMLWrite now compile with Delphi
	without   modifications as well

2003-01-14 22:15  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/odbc/Makefile,
	db/tests/Makefile, shedit/Makefile, shedit/gtk/Makefile,
	tests/Makefile, xml/Makefile:
	
	  * regenerated

2003-01-05 16:55  florian <florian@freepascal.org>

	* fcl/: inc/gettext.pp, xml/sax.pp:
	
	  * fixed type = type ...; statement for 1.1

2002-12-30 11:29  michael <michael.vancanneyt@wisa.be>

	* fcl/db/datasource.inc:
	
	+ Fixed state reporting bug (reported by Jesus Reyes)

2002-12-18 21:44  peter <peter@freepascal.org>

	* fcl/linux/thread.inc:
	
	  * use fillchar to clear sigset

2002-12-18 19:39  peter <peter@freepascal.org>

	* fcl/inc/ssockets.pp:
	
	  * renamed error constants for 1.1

2002-12-18 17:45  peter <peter@freepascal.org>

	* fcl/inc/streams.inc:
	
	  * set function result in TStream.Seek(int64) found by Mattias
	Gaertner

2002-12-18 17:35  peter <peter@freepascal.org>

	* fcl/inc/streams.inc:
	
	  * fix crash in Seek()

2002-12-18 16:51  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/streams.inc:
	
	+ Hopefully fixed some issues with int64 seek

2002-12-14 20:18  sg <sg@freepascal.org>

	* fcl/xml/sax_html.pp:
	
	* Improved whitespace handling (although it's still not perfect in
	all   cases)

2002-12-12 21:17  sg <sg@freepascal.org>

	* fcl/xml/sax_html.pp:
	
	* More WideString fixes

2002-12-12 18:53  peter <peter@freepascal.org>

	* fcl/inc/ssockets.pp:
	
	  * add FAccepting:=true to StartAccepting

2002-12-12 14:43  michael <michael.vancanneyt@wisa.be>

	* fcl/xml/: sax.pp, sax_html.pp:
	
	+ Patches from peter to fix 1.1 compile

2002-12-11 22:11  sg <sg@freepascal.org>

	* fcl/xml/xhtml.pp:
	
	* TXHTMLDocument is now derived from THTMLDocument instead of
	TXMLDocument.	 Probably future versions of DOM_HTML will be able
	to completely replace	 this unit.

2002-12-11 22:06  sg <sg@freepascal.org>

	* fcl/xml/: Makefile, Makefile.fpc, dom.pp, dom_html.pp, sax.pp,
	sax_html.pp:
	
	* Small cleanups * Replaced htmldoc unit with dom_html unit * Added
	SAX parser framework and SAX HTML parser

2002-12-11 21:36  sg <sg@freepascal.org>

	* fcl/xml/htmldoc.pp:
	
	* replaced by dom_html

2002-12-10 22:05  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/stringl.inc:
	
	+ IndexOfName is case insensitive

2002-12-02 13:04  sg <sg@freepascal.org>

	* fcl/inc/: classes.inc, reader.inc:
	
	* Fixed handling of zero-length strings (classes.inc: When
	converting   empty strings from text forms to binary forms;
	reader.inc: When reading   an empty string from a binary
	serialization)

2002-11-30 17:04  sg <sg@freepascal.org>

	* fcl/xml/xmlwrite.pp:
	
	* Stream parameters are not "var" anymore (stupid copy&paste bug)

2002-11-29 19:04  sg <sg@freepascal.org>

	* fcl/xml/: Makefile, Makefile.fpc, htmldefs.pp, htmwrite.pp:
	
	* Improved HTML writing, now uses the HTML definition unit   (moved
	from FPDoc into FCL)

2002-11-24 17:31  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/odbc/Makefile,
	db/tests/Makefile, shedit/Makefile, shedit/gtk/Makefile,
	tests/Makefile, xml/Makefile:
	
	  * regenarated

2002-11-17 22:09  marco <marcov@stack.nl>

	* fcl/freebsd/thread.inc:
	
	 * 16byte sigset

2002-11-11 16:31  carl <carl@freepascal.org>

	* fcl/amiga/: classes.pp, ezcgi.inc, pipes.inc, thread.inc:
	
	  + initial revision for amiga

2002-11-07 15:27  sg <sg@freepascal.org>

	* fcl/db/mysql/mysqldb.pp:
	
	* AffectedRows now is a QWord (to match recent MySQL versions) *
	Result strings for enums etc. are now correctly terminated * Fixed
	a memory leak in DoQuery: The query string didn't get released

2002-10-24 14:47  marco <marcov@stack.nl>

	* fcl/freebsd/thread.inc:
	
	 * Fix emptying sa_mask

2002-10-22 11:38  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/streams.inc:
	
	+ Fixed TmemoryStream.LoadFromStream, reported by Mattias Gaertner

2002-10-15 22:06  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/compon.inc:
	
	+ Fixed SetAncestor. Index was getting too big

2002-10-14 21:46  peter <peter@freepascal.org>

	* fcl/inc/classesh.inc:
	
	  * use FPC_THREADING define for removing thread dependent code

2002-10-14 21:45  peter <peter@freepascal.org>

	* fcl/: linux/classes.pp, win32/classes.pp:
	
	  * threading switch

2002-10-10 14:50  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/stringl.inc:
	
	+ Fix for handling of double quotes in getquotedstring from Luk
	Vandelaer (luk.vandelaer@wisa.be)

2002-10-04 21:00  peter <peter@freepascal.org>

	* fcl/inc/inifiles.pp:
	
	  * remove section from sectionlist in erasesection, patch from
	    webbug 2161

2002-09-21 21:22  sg <sg@freepascal.org>

	* fcl/xml/xmlread.pp:
	
	* Added procedures to process XML fragments only (e.g. for merging
	them   into an existing DOM document)

2002-09-20 13:36  sg <sg@freepascal.org>

	* fcl/xml/xmlwrite.pp:
	
	* Argument escaping improvements * Indent fixed for consecutive
	WriteXML calls

2002-09-20 13:04  michael <michael.vancanneyt@wisa.be>

	* fcl/xml/xmlwrite.pp:
	
	+ Changed writexml type to TDomNode instead of TDomeElement

2002-09-20 11:28  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/writer.inc:
	
	Fix from mattias gaertner

2002-09-16 08:27  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc:
	
	+ removed registry entry

2002-09-15 12:00  carl <carl@freepascal.org>

	* fcl/inc/registry.pp:
	
	 - remove, as this is in the LCL already

2002-09-07 23:03  carl <carl@freepascal.org>

	* fcl/tests/threads.pp:
	
	  * correct termination of thread

2002-09-07 17:15  peter <peter@freepascal.org>

	* fcl/: beos/classes.pp, beos/ezcgi.inc, beos/pipes.inc,
	beos/thread.inc, db/README, db/database.inc, db/dataset.inc,
	db/datasource.inc, db/db.pp, db/dbs.inc, db/ddg_ds.pp,
	db/ddg_rec.pp, db/fields.inc, db/dbase/dbf.pas,
	db/dbase/testdbf.pp, db/interbase/BUGS.known, db/interbase/README,
	db/interbase/testib.pp, db/mysql/mtest.pp, db/mysql/mysqldb.pp,
	db/odbc/testbcon.pp, db/odbc/testenv.pp, db/odbc/testodbc.mdb,
	db/odbc/testpa.pp, db/odbc/testsql.pp, db/tests/createds.pp,
	db/tests/testds.pp, db/tests/tested.pp, freebsd/classes.pp,
	freebsd/process.inc, freebsd/thread.inc, go32v2/classes.pp,
	go32v2/ezcgi.inc, go32v2/pipes.inc, go32v2/thread.inc,
	inc/asyncio.pp, inc/base64.pp, inc/bits.inc, inc/cachecls.pp,
	inc/classes.inc, inc/classesh.inc, inc/collect.inc, inc/compon.inc,
	inc/constse.inc, inc/constsg.inc, inc/constss.inc, inc/contnrs.pp,
	inc/cregist.inc, inc/ezcgi.pp, inc/filer.inc, inc/filerec.inc,
	inc/gettext.pp, inc/http.pp, inc/idea.pp, inc/inifiles.pp,
	inc/intf.inc, inc/iostream.pp, inc/lists.inc, inc/parser.inc,
	inc/persist.inc, inc/pipes.pp, inc/process.pp, inc/reader.inc,
	inc/registry.pp, inc/rtfdata.inc, inc/rtfpars.pp, inc/ssockets.pp,
	inc/streams.inc, inc/stringl.inc, inc/syncob.inc, inc/syncobh.inc,
	inc/twriter.inc, inc/util.inc, inc/writer.inc, inc/zstream.pp,
	linux/classes.pp, linux/thread.inc, os2/classes.pp, os2/ezcgi.inc,
	os2/pipes.inc, os2/thread.inc, posix/ezcgi.inc, posix/pipes.inc,
	posix/readme.txt, posix/thread.inc, qnx/classes.pp,
	shedit/doc_text.pp, shedit/drawing.inc, shedit/keys.inc,
	shedit/sh_pas.pp, shedit/sh_xml.pp, shedit/shedit.pp,
	shedit/undo.inc, shedit/gtk/gtkdemo.pp, shedit/gtk/gtkshedit.pp,
	sunos/classes.pp, template/classes.pp, template/footer,
	template/template.pp, template/thread.inc, tests/asiotest.pp,
	tests/b64dec.pp, tests/b64enc.pp, tests/b64test.pp,
	tests/b64test2.pp, tests/cachetest.pp, tests/cfgtest.pp,
	tests/doecho.pp, tests/dparser.pp, tests/dsockcli.pp,
	tests/dsocksvr.pp, tests/fstream.pp, tests/htdump.pp,
	tests/isockcli.pp, tests/isocksvr.pp, tests/istream.pp,
	tests/list.pp, tests/mstream.pp, tests/overview.rtf,
	tests/parser.dat, tests/restest.pp, tests/showver.pp,
	tests/showver.rc, tests/showver.res, tests/sockcli.pp,
	tests/socksvr.pp, tests/sstream.pp, tests/stringl.pp,
	tests/testcgi.pp, tests/testproc.pp, tests/testrtf.pp,
	tests/testser.pp, tests/testz.pp, tests/testz2.pp,
	tests/threads.pp, tests/tidea.pp, tests/xmldump.pp,
	tests/intl/README, tests/intl/restest.de.mo,
	tests/intl/restest.fr.mo, tests/intl/restest.nl.mo,
	unix/asyncio.inc, unix/asyncioh.inc, unix/ezcgi.inc,
	unix/pipes.inc, win32/classes.pp, win32/ezcgi.inc,
	win32/fileinfo.pp, win32/httpapp.pp, win32/pipes.inc,
	win32/syncobjs.pp, win32/thread.inc, xml/dom.pp, xml/htmldoc.pp,
	xml/htmwrite.pp, xml/xhtml.pp, xml/xmlcfg.pp, xml/xmlread.pp,
	xml/xmlstreaming.pp, xml/xmlwrite.pp:
	
	  * old logs removed and tabs fixed

2002-09-04 15:33  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/writer.inc:
	
	 Fix from Mattias Gaertner, boolean streaming now respects default

2002-09-03 08:02  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/writer.inc:
	
	+ Applied patch from Matthias Gaertner to stream booleans

2002-08-17 04:23  michael <michael.vancanneyt@wisa.be>

	* fcl/linux/syncobjs.pp:
	
	+ Fixed 1.1 build of syncobjs

2002-08-16 13:10  michael <michael.vancanneyt@wisa.be>

	* fcl/tests/: Makefile.fpc, README, testcont.pp, testol.pp:
	
	+ Added tests for contnrs unit

2002-08-16 12:04  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/lists.inc:
	
	+ Notify correctly implemented

2002-08-13 08:51  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/inifiles.pp:
	
	+ Fixed memory leak reported by A. Chuchko (bug report 2079)

2002-08-09 11:48  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/contnrs.pp:
	
	  + mode directive added plus some types fixed

2002-08-09 11:44  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/contnrs.pp:
	
	  + Implemented stack and queue (untested)

2002-08-01 14:28  marco <marcov@stack.nl>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/odbc/Makefile,
	db/tests/Makefile, shedit/Makefile, shedit/gtk/Makefile,
	tests/Makefile, xml/Makefile:
	
	 * Some more OpenBSD fixes.

2002-07-30 18:08  marco <marcov@stack.nl>

	* fcl/: Makefile, Makefile.fpc, db/Makefile, db/Makefile.fpc:
	
	 * Generic FCL fixes for newer targets.

2002-07-30 15:46  marco <marcov@stack.nl>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/odbc/Makefile,
	db/tests/Makefile, shedit/Makefile, shedit/gtk/Makefile,
	tests/Makefile, xml/Makefile:
	
	 * OpenBSD makefile fixes

2002-07-26 13:26  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/contnrs.pp:
	
	+ Initial implementation. Untested

2002-07-21 14:04  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/contnrs.pp:
	
	+ No optional parameters in 1.0.6

2002-07-17 13:52  florian <florian@freepascal.org>

	* fcl/inc/stringl.inc:
	
	  * at and frame addresses in raise statements changed to pointer;
	fixed

2002-07-16 16:00  florian <florian@freepascal.org>

	* fcl/inc/: bits.inc, lists.inc:
	
	  * raise takes now a void pointer as at and frame address
	    instead of a longint, fixed

2002-07-16 15:34  florian <florian@freepascal.org>

	* fcl/inc/contnrs.pp:
	
	  + skeleton for contnr.pp added

2002-07-16 15:33  florian <florian@freepascal.org>

	* fcl/: Makefile, Makefile.fpc:
	
	  + skeleton for contnr.pas added

2002-07-16 15:32  florian <florian@freepascal.org>

	* fcl/inc/: classes.inc, classesh.inc, intf.inc:
	
	  + skeleton for TInterfaceList added

2002-07-15 20:35  florian <florian@freepascal.org>

	* fcl/inc/classesh.inc:
	
	  + IInterfaceList added

2002-06-13 19:28  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/inifiles.pp:
	
	+ Destructor was not freeing all memory. This is now fixed.

2002-06-11 20:40  michael <michael.vancanneyt@wisa.be>

	* fcl/db/odbc/: Makefile, Makefile.fpc, README, fpodbc.pp,
	testbcon.pp, testcon.pp, testdrcon.pp, testenv.pp, testfl.pp,
	testodbc.mdb, testpa.pp, testpk.pp, testpr.pp, testsql.pp,
	testst.pp, testtl.pp:
	
	+ Initial implementation

2002-05-31 13:33  marco <marcov@stack.nl>

	* fcl/tests/testproc.pp:
	
	 * 1.0.x renamefest

2002-05-31 13:31  marco <marcov@stack.nl>

	* fcl/: db/dbase/dbf.pas, inc/ssockets.pp, tests/testz2.pp:
	
	 * 1.0.x Renamefest for FCL. Fixed some oddities in 1.1 too

2002-05-18 15:38  michael <michael.vancanneyt@wisa.be>

	* fcl/tests/testproc.pp:
	
	+ Fixed test program to new interface

2002-05-02 21:48  carl <carl@freepascal.org>

	* fcl/Makefile:
	
	* Updated with new fpcmake target to make it work under QNX

2002-05-01 18:42  carl <carl@freepascal.org>

	* fcl/Makefile:
	
	+ Qnx target

2002-04-25 21:32  sg <sg@freepascal.org>

	* fcl/inc/: asyncio.pp, http.pp:
	
	* Replaced by fpAsync and net/http.pp

2002-04-25 21:31  sg <sg@freepascal.org>

	* fcl/: Makefile.fpc, Makefile:
	
	* Added net directory

2002-04-25 21:30  sg <sg@freepascal.org>

	* fcl/net/: Makefile, Makefile.fpc, http.pp, httpsvlt.pp,
	servlets.pp, xmlrpc.pp, tests/Makefile, tests/Makefile.fpc,
	tests/readme.txt, tests/rpccli.pp, tests/rpcserv.pp,
	tests/svrclass.pp, tests/svrclass_xmlrpc.pp:
	
	* First version (with exception of the HTTP unit: This is an
	improved version   of the old asyncio HTTP unit, now adapted to
	fpAsync)

2002-04-25 21:14  sg <sg@freepascal.org>

	* fcl/inc/streams.inc:
	
	* Fixed TStringStream.ReadString

2002-04-25 21:12  sg <sg@freepascal.org>

	* fcl/inc/fpasync.pp:
	
	* Added ability to write all write buffer data to an debug stream *
	Added TAsyncWriteStream.StopAndFree

2002-03-28 13:08  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/classesh.inc:
	
	+ Added sstriple and ssquad in shiftstate

2002-03-19 20:36  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * fix source location in zips for packages and demos

2002-03-11 20:10  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * Regenerated with updated fpcmake

2002-03-09 23:15  carl <carl@freepascal.org>

	* fcl/: Makefile, Makefile.fpc, db/interbase/Makefile,
	db/interbase/Makefile.fpc, db/mysql/Makefile,
	db/mysql/Makefile.fpc:
	
	+ clean required package units

2002-03-09 23:05  carl <carl@freepascal.org>

	* fcl/freebsd/notice.txt:
	
	- removing useless file

2002-03-01 11:45  peter <peter@freepascal.org>

	* fcl/: Makefile, Makefile.fpc:
	
	  * updated version number

2002-03-01 11:02  sg <sg@freepascal.org>

	* fcl/xml/dom.pp:
	
	* Fixed read access method for TDOMAttr.Value

2002-02-28 22:30  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenated

2002-02-10 14:38  hajny <xhajt03@mbox.vol.cz>

	* fcl/os2/: classes.pp, thread.inc:
	
	  * DosCalls dependency removed to avoid type redefinitions

2002-01-29 19:05  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2002-01-27 22:47  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2002-01-19 12:54  peter <peter@freepascal.org>

	* fcl/inc/gettext.pp:
	
	  * fixed wrong getmem

2002-01-09 11:40  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/compon.inc:
	
	+ re-enabled Top/Left property writing

2002-01-06 22:59  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2002-01-06 22:54  peter <peter@freepascal.org>

	* fcl/inc/: action.inc, classes.inc, classesh.inc, compon.inc:
	
	  * action classes added

2001-12-17 22:03  sg <sg@freepascal.org>

	* fcl/inc/ssockets.pp:
	
	* Fixed merging mistake of my last commit :/

2001-12-17 21:25  sg <sg@freepascal.org>

	* fcl/xml/dom.pp:
	
	* Use WideStrings when not using FPC 1.0.x

2001-12-17 21:21  sg <sg@freepascal.org>

	* fcl/inc/ssockets.pp:
	
	* Some cosmetic improvements (fixed wrong method visibilities etc.)
	* TSocketStream now closes the underlying file handle upon
	destruction

2001-12-17 21:17  sg <sg@freepascal.org>

	* fcl/inc/constse.inc:
	
	*Fixed some typos

2001-12-15 21:01  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/process.pp:
	
	+ Applied FreeStreams fix from Mattias Gaertner

2001-12-15 20:53  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/process.pp:
	
	+ Removed DWord and THandle

2001-12-15 05:38  carl <carl@freepascal.org>

	* fcl/: db/dbase/Makefile, shedit/Makefile:
	
	+ regenerated

2001-12-15 05:34  carl <carl@freepascal.org>

	* fcl/: xml/Makefile, db/Makefile:
	
	+ regenerated

2001-12-15 05:32  carl <carl@freepascal.org>

	* fcl/Makefile:
	
	+ SunOS uses UNIX installation directories

2001-12-14 08:53  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/process.pp:
	
	  - Removed trect as well.

2001-12-13 19:34  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/process.pp:
	
	  * Removed TPoint declaration, it conflicts with classes
	definition

2001-12-12 00:04  carl <carl@freepascal.org>

	* fcl/: Makefile, Makefile.fpc:
	
	+ Added SunOS and QNX targets

2001-12-11 12:15  marco <marcov@stack.nl>

	* fcl/inc/process.pp:
	
	 * ifdef linux -> Unix fix

2001-12-11 11:39  marco <marcov@stack.nl>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	 * BSDhier fix to fpcmake.ini + makefile update.

2001-12-10 03:34  carl <carl@freepascal.org>

	* fcl/: qnx/classes.pp, sunos/classes.pp:
	
	+ initial version

2001-12-10 03:31  carl <carl@freepascal.org>

	* fcl/posix/: ezcgi.inc, pipes.inc, readme.txt, thread.inc:
	
	+ initial version for POSIX (with thread extensions)

2001-12-03 22:39  peter <peter@freepascal.org>

	* fcl/inc/: classesh.inc, compon.inc, lists.inc, streams.inc:
	
	  * seek(int64) overload only for 1.1 compiler

2001-11-28 13:31  sg <sg@freepascal.org>

	* fcl/inc/Makefile.inc:
	
	* This file obviously isn't needed anymore

2001-11-24 21:59  carl <carl@freepascal.org>

	* fcl/inc/ssockets.pp:
	
	* fix compilation problems for version 1.0.x branch

2001-11-24 21:43  carl <carl@freepascal.org>

	* fcl/inc/process.pp:
	
	* fix compilation problems under non-linux systems

2001-11-24 21:41  carl <carl@freepascal.org>

	* fcl/inc/streams.inc:
	
	* fix compilation under FPC version 1.0.x

2001-11-24 21:41  carl <carl@freepascal.org>

	* fcl/inc/classesh.inc:
	
	* fix Peter's problems with compiling under version 1.0

2001-11-20 19:53  peter <peter@freepascal.org>

	* fcl/inc/: classesh.inc, ssockets.pp:
	
	  * overload fix

2001-11-08 14:01  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/process.pp:
	
	+ Fixed win32 compile

2001-11-08 12:12  sg <sg@freepascal.org>

	* fcl/inc/parser.inc:
	
	* Parser now only detects a number as float when the "." is
	followed by   a valid char. Else the input is handled as a normal
	integer, followed by   the dot as separate char. This allows to
	parse input such as   "0..9" - until now this would have lead to a
	float "0..9" which, of	 course, couldn't be converted afterwards.

2001-11-05 22:45  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/process.pp:
	
	+ unix/linux unit name conflict

2001-11-05 22:07  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/process.pp:
	
	+ Added header and mode switch

2001-11-05 22:05  michael <michael.vancanneyt@wisa.be>

	* fcl/: linux/process.inc, win32/process.inc:
	
	+ No longer needed

2001-11-05 22:04  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/process.pp:
	
	+ Reimplemented version that is compatible with Kylix and Delphi

2001-10-29 20:38  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/classesh.inc:
	
	+ Added TRect definition

2001-10-28 18:16  peter <peter@freepascal.org>

	* fcl/inc/: classesh.inc, constse.inc, streams.inc:
	
	  * int64 file functions added

2001-10-23 23:51  peter <peter@freepascal.org>

	* fcl/inc/classesh.inc:
	
	  * criticalsection renamed to rtlcriticalsection for kylix
	compatibility

2001-10-19 05:42  carl <carl@freepascal.org>

	* fcl/inc/ezcgi.pp:
	
	* Replace byte -> Integer for environment variable scanning  
	(since AnsiString is on) Bug report #1647

2001-10-18 22:55  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * asw support

2001-10-16 22:52  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * fpc -PB instead of -P?
	  * check if fpc exists if not found fallback to ppc386

2001-10-14 23:43  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2001-10-09 04:27  carl <carl@freepascal.org>

	* fcl/: freebsd/thread.inc, beos/thread.inc:
	
	* bugfix #1639 (IsMultiThread varialbe setting)

2001-10-09 04:24  carl <carl@freepascal.org>

	* fcl/: linux/thread.inc, go32v2/thread.inc:
	
	* bugfix #1639 (IsMultiThread varialbe setting)

2001-10-09 04:21  carl <carl@freepascal.org>

	* fcl/os2/thread.inc:
	
	* bugfix #1639 (IsMultiThread varialbe setting)

2001-10-09 04:17  carl <carl@freepascal.org>

	* fcl/: win32/thread.inc, template/thread.inc:
	
	* bugfix #1639 (IsMultiThread varialbe setting)

2001-09-29 23:56  carl <carl@freepascal.org>

	* fcl/Makefile:
	
	+ added BeOS target

2001-09-28 04:18  carl <carl@freepascal.org>

	* fcl/beos/: classes.pp, ezcgi.inc, pipes.inc, thread.inc:
	
	+ beos target

2001-09-21 14:52  sg <sg@freepascal.org>

	* fcl/inc/gettext.pp:
	
	* Evaluates all 3 i18n environment variables: LC_ALL, LC_MESSAGES,
	LANG * Now takes sublanguage specifiers into account: When the
	language is set   to xx_YY, then the catalogue for xx will be
	loaded first, and then the   catalogue for sublanguage xx_YY will
	be loaded and applied as well.

2001-09-05 17:06  marco <marcov@stack.nl>

	* fcl/: Makefile, Makefile.fpc:
	
	 * unix dir included

2001-09-05 16:30  marco <marcov@stack.nl>

	* fcl/: Makefile, Makefile.fpc:
	
	 * NetBSD fcl makefile fixes. Plain copy from FreeBSD

2001-08-30 22:18  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2001-08-22 22:49  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2001-08-13 00:10  peter <peter@freepascal.org>

	* fcl/inc/: classesh.inc, persist.inc:
	
	  * some interface updates for 1.1

2001-08-02 22:55  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * Regenerated

2001-08-01 00:02  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * install Package.fpc

2001-07-18 00:07  sg <sg@freepascal.org>

	* fcl/inc/lists.inc:
	
	* Added performance improvements suggested by Mattias Gaertner	 -
	list grows in steps of 25% if size >= 128   - list shrinks by 50%
	if size drops below a quarter of the capacity

2001-07-14 15:19  sg <sg@freepascal.org>

	* fcl/inc/reader.inc:
	
	* Simplified TBinaryObjectReader.ReadString * TReader.ReadComponent
	now uses ComponentClass.NewInstance for creating   a new component
	instance

2001-07-14 00:05  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * cygwin updates

2001-07-02 21:17  marco <marcov@stack.nl>

	* fcl/Makefile:
	
	 * More package fixes (from Makefile.fpc to Makefile)

2001-07-02 21:16  marco <marcov@stack.nl>

	* fcl/db/: Makefile, Makefile.fpc:
	
	 * Add some packages for FreeBSD. Please keep FreeBSD in sync!!

2001-06-24 14:58  marco <marcov@stack.nl>

	* fcl/Makefile.fpc:
	
	 * added packages_freebsd=inet

2001-06-07 23:25  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * Regenerated

2001-06-07 16:38  jonas <jonas.maebe@rug.ac.be>

	* fcl/xml/: htmwrite.pp, xmlwrite.pp:
	
	  * fixed wrong procvar syntax (patches from Peter)

2001-06-06 23:58  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * Win32 fixes for Makefile so it doesn't require sh.exe

2001-06-04 23:44  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * Regenerated

2001-05-30 23:39  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * gecho, gdate fixes
	  * distinstall target rewrite to not install things twice

2001-05-20 14:10  peter <peter@freepascal.org>

	* fcl/inc/stringl.inc:
	
	  * fixed setcommatext

2001-05-14 23:17  florian <florian@freepascal.org>

	* fcl/inc/classesh.inc:
	
	  * TGUID and IUnknown is defined in the system unit by
	    1.1 and above

2001-05-07 13:23  jonas <jonas.maebe@rug.ac.be>

	* fcl/inc/rtfdata.inc:
	
	  * fix for stricter typed constant records (from Peter)

2001-05-06 23:37  sg <sg@freepascal.org>

	* fcl/xml/dom.pp:
	
	* Fixed two bugs reported by Florian:	- TDOMText.SplitText didn't
	set the result value   - Fixed TDOMNode_WithChildren.InsertBefore,
	which didn't link the new     node correctly into the node list

2001-05-03 23:35  peter <peter@freepascal.org>

	* fcl/: Makefile, Makefile.fpc, db/Makefile, db/Makefile.fpc,
	db/dbase/Makefile, db/dbase/Makefile.fpc, db/interbase/Makefile,
	db/interbase/Makefile.fpc, db/mysql/Makefile,
	db/mysql/Makefile.fpc, db/tests/Makefile, db/tests/Makefile.fpc,
	shedit/Makefile, shedit/Makefile.fpc, shedit/gtk/Makefile,
	shedit/gtk/Makefile.fpc, tests/Makefile, tests/Makefile.fpc,
	xml/Makefile, xml/Makefile.fpc:
	
	  * Makefile fixes

2001-04-26 00:45  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2001-04-20 20:50  marco <marcov@stack.nl>

	* fcl/inc/ssockets.pp:
	
	 * FreeVSD fixy

2001-04-17 19:36  peter <peter@freepascal.org>

	* fcl/win32/thread.inc:
	
	  * fixed for stricter argument checking

2001-04-13 20:03  peter <peter@freepascal.org>

	* fcl/inc/classesh.inc:
	
	  * added tthread.destroy override

2001-04-13 20:03  peter <peter@freepascal.org>

	* fcl/inc/stringl.inc:
	
	  * commatext fixes

2001-04-13 20:02  peter <peter@freepascal.org>

	* fcl/inc/syncobh.inc:
	
	  * added missing twaitresult type

2001-04-11 01:33  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2001-04-11 01:28  peter <peter@freepascal.org>

	* fcl/db/: dataset.inc, fields.inc, interbase/interbase.pp:
	
	  * merged fixes

2001-04-11 01:22  peter <peter@freepascal.org>

	* fcl/: xml/xmlcfg.pp, inc/classes.inc, inc/stringl.inc:
	
	  * merged fixes

2001-04-10 23:31  peter <peter@freepascal.org>

	* fcl/db/interbase/interbase.pp:
	
	  * add mode objfpc

2001-04-08 13:26  peter <peter@freepascal.org>

	* fcl/: freebsd/classes.pp, freebsd/process.inc,
	freebsd/thread.inc, inc/ssockets.pp, linux/classes.pp,
	linux/process.inc, linux/thread.inc, unix/asyncioh.inc,
	unix/ezcgi.inc, unix/pipes.inc:
	
	  * update so it can be compiled by both 1.0.x and 1.1

2001-03-08 20:41  michael <michael.vancanneyt@wisa.be>

	* fcl/tests/: README, sstream.pp:
	
	+ Added tstringstream example (merged)

2001-03-08 20:39  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/classes.inc:
	
	+ Merged fixes

2001-03-08 20:38  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/streams.inc:
	
	+ Merged changes, fixed stringstream

2001-03-08 20:37  michael <michael.vancanneyt@wisa.be>

	* fcl/xml/dom.pp:
	
	+ Merged changes from fixbranch

2001-03-08 20:32  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/reader.inc:
	
	Fixes merged

2001-02-26 05:57  hajny <xhajt03@mbox.vol.cz>

	* fcl/os2/ezcgi.inc:
	
	  * correction of a previously introduced bug

2001-02-24 11:46  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2001-02-23 23:24  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/stringl.inc:
	
	+ Fixed sorting of stringslist

2001-02-22 22:15  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2001-02-20 22:59  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated for cygwin32 support

2001-02-09 21:40  sg <sg@freepascal.org>

	* fcl/inc/cregist.inc:
	
	* Fixed GetClass function  (merged from Fixbranch)

2001-02-09 21:38  sg <sg@freepascal.org>

	* fcl/inc/classesh.inc:
	
	Merges from Fixbranch: * Extended TRect type to have TopLeft and
	BottomRight fields as well * Added "Driver" property to TReader

2001-02-04 15:32  sg <sg@freepascal.org>

	* fcl/shedit/gtk/gtkshedit.pp:
	
	Improvements as suggested by Vasily Volchenko: * Added mapping for
	Enter key (= it works now :) ) * Simple clipboard implementation.
	(although the keys for clipboard   functions don't work yet)

2001-02-03 00:51  peter <peter@freepascal.org>

	* fcl/inc/: bits.inc, classesh.inc:
	
	  * bit field to cardinal instead of longint

2001-02-02 23:41  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenerated

2001-02-01 23:00  peter <peter@freepascal.org>

	* fcl/: Makefile, Makefile.fpc, db/Makefile, db/Makefile.fpc,
	db/dbase/Makefile, db/dbase/Makefile.fpc, db/interbase/Makefile,
	db/interbase/Makefile.fpc, db/mysql/Makefile,
	db/mysql/Makefile.fpc, db/tests/Makefile, db/tests/Makefile.fpc,
	shedit/Makefile, shedit/Makefile.fpc, shedit/gtk/Makefile,
	tests/Makefile, tests/Makefile.fpc, xml/Makefile, xml/Makefile.fpc:
	
	  * default.fpcdir is back
	  * subdir requirement checking works, but not very optimal yet as
	    it can load the same Makefile.fpc multiple times

2001-01-30 22:56  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenarated

2001-01-30 21:41  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/dbase/Makefile,
	db/interbase/Makefile, db/mysql/Makefile, db/tests/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, tests/Makefile, xml/Makefile:
	
	  * regenarated

2001-01-30 20:25  peter <peter@freepascal.org>

	* fcl/db/mysql/: Makefile, Makefile.fpc:
	
	  * new Makefiles

2001-01-29 22:52  peter <peter@freepascal.org>

	* fcl/: Makefile, Makefile.fpc, db/Makefile, db/Makefile.fpc,
	db/dbase/Makefile, db/dbase/Makefile.fpc, db/interbase/Makefile,
	db/interbase/Makefile.fpc, db/tests/Makefile,
	db/tests/Makefile.fpc, freebsd/Makefile, freebsd/Makefile.fpc,
	go32v2/Makefile, go32v2/Makefile.fpc, inc/zstream.pp,
	linux/Makefile, linux/Makefile.fpc, os2/Makefile, os2/Makefile.fpc,
	shedit/Makefile, shedit/Makefile.fpc, shedit/gtk/Makefile,
	shedit/gtk/Makefile.fpc, tests/Makefile, tests/Makefile.fpc,
	win32/Makefile, win32/Makefile.fpc, xml/Makefile, xml/Makefile.fpc:
	
	  * New FPCMake update

2001-01-28 19:40  hajny <xhajt03@mbox.vol.cz>

	* fcl/os2/ezcgi.inc:
	
	  * error checking added

2001-01-24 23:19  peter <peter@freepascal.org>

	* fcl/db/: mysqldb.pp, mysql/mtest.pp, mysql/mysqldb.pp,
	tests/mtest.pp:
	
	  * mysql units moved to mysql/ dir

2001-01-21 21:45  marco <marcov@stack.nl>

	* fcl/: Makefile, freebsd/classes.pp, freebsd/process.inc,
	freebsd/thread.inc, inc/ssockets.pp, linux/classes.pp,
	linux/process.inc, linux/thread.inc, unix/asyncioh.inc,
	unix/ezcgi.inc, unix/pipes.inc:
	
	 * Rename fest II  FCL version.

2001-01-18 23:19  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/: Makefile, Makefile.fpc, dbf.pas, testdbf.pp:
	
	+ Merged from fixbranch

2001-01-18 23:10  michael <michael.vancanneyt@wisa.be>

	* fcl/db/: dataset.inc, datasource.inc, db.pp, fields.inc:
	
	+ Fixes to make dbase working merged from fixbranch

2001-01-18 23:07  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/testdbf.pp:
	
	file testdbf.pp was initially added on branch FIXES_1_0_0.

2001-01-18 23:07  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/fpcmade.lnx:
	
	file fpcmade.lnx was initially added on branch FIXES_1_0_0.

2001-01-18 23:07  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/Makefile:
	
	file Makefile was initially added on branch FIXES_1_0_0.

2001-01-18 23:07  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/dumpdb:
	
	file dumpdb was initially added on branch FIXES_1_0_0.

2001-01-18 23:07  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/dbf.pas:
	
	file dbf.pas was initially added on branch FIXES_1_0_0.

2001-01-18 23:07  michael <michael.vancanneyt@wisa.be>

	* fcl/db/dbase/Makefile.fpc:
	
	file Makefile.fpc was initially added on branch FIXES_1_0_0.

2001-01-08 19:36  sg <sg@freepascal.org>

	* fcl/inc/compon.inc:
	
	* Applied bugfix for bug #1330 (merged)

2001-01-06 18:57  marco <marcov@stack.nl>

	* fcl/Makefile.fpc:
	
	 * freebsd added.

2000-12-25 01:19  peter <peter@freepascal.org>

	* fcl/db/datasource.inc:
	
	  * merged from 1.0.x

2000-12-24 13:45  peter <peter@freepascal.org>

	* fcl/db/: dataset.inc, db.pp, dbs.inc, fields.inc,
	interbase/Makefile, interbase/Makefile.fpc:
	
	  * merges from 1.0.x branch

2000-12-23 23:55  sg <sg@freepascal.org>

	* fcl/inc/: constsg.inc, constss.inc:
	
	* Added SUnknownPropertyType

2000-12-23 23:54  sg <sg@freepascal.org>

	* fcl/inc/constse.inc:
	
	* Fixed SUnknownPropertyType

2000-12-23 11:10  michael <michael.vancanneyt@wisa.be>

	* fcl/db/datasource.inc:
	
	file datasource.inc was initially added on branch FIXES_1_0_0.

2000-12-22 23:39  peter <peter@freepascal.org>

	* fcl/inc/constse.inc:
	
	  * added missing sunknownpropertytype

2000-12-21 10:10  sg <sg@freepascal.org>

	* fcl/inc/writer.inc:
	
	Merged from fixbranch: * Applied bugfix by Mattias Gaertner for
	TWriter.WriteProperty	(writing of NIL object instanced caused an
	invalid access) * Optimized some 'is'/InheritsFrom occurencies

2000-12-21 10:08  sg <sg@freepascal.org>

	* fcl/inc/reader.inc:
	
	* Applied bugfixes by Mattias Gaertner for
	TBinaryObjectReader.ReadSet   (uninitialized result and missing bit
	shifting) and	TReader.ReadRootComponent (finding an unique
	component name)   (merged from fixbranch)

2000-12-19 22:17  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/interbase/Makefile,
	db/tests/Makefile, go32v2/Makefile, linux/Makefile, os2/Makefile,
	shedit/gtk/Makefile, freebsd/Makefile, shedit/Makefile,
	tests/Makefile, win32/Makefile, xml/Makefile:
	
	  * regenerated

2000-12-19 01:43  hajny <xhajt03@mbox.vol.cz>

	* fcl/os2/: Makefile, Makefile.fpc, classes.pp, pipes.inc,
	thread.inc:
	
	  + FCL made compilable under OS/2

2000-12-18 19:05  peter <peter@freepascal.org>

	* fcl/tests/Makefile:
	
	  * readded makefile

2000-12-18 10:17  michael <michael.vancanneyt@wisa.be>

	* fcl/tests/Makefile:
	
	file Makefile was initially added on branch FIXES_1_0_0.

2000-12-16 22:31  michael <michael.vancanneyt@wisa.be>

	* fcl/tests/sstream.pp:
	
	file sstream.pp was initially added on branch FIXES_1_0_0.

2000-12-03 23:35  sg <sg@freepascal.org>

	* fcl/inc/: classesh.inc, stringl.inc:
	
	* Applied patch by Markus Kaemmerer (merged):	- Added support for
	TStringList.CustomSort

2000-12-02 16:21  michael <michael.vancanneyt@wisa.be>

	* fcl/db/interbase/: Makefile, Makefile.fpc, README, interbase.pp,
	mkdb, testib.pp:
	
	+ Merged from the fixbranch

2000-11-26 23:43  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/inifiles.pp:
	
	+ Merged fix from fixes branch

2000-11-23 11:19  sg <sg@freepascal.org>

	* fcl/inc/gettext.pp:
	
	* optimized the string translation process a little bit

2000-11-22 23:44  peter <peter@freepascal.org>

	* fcl/inc/stringl.inc:
	
	  * fixed commatext (merged)

2000-11-21 20:04  marco <marcov@stack.nl>

	* fcl/freebsd/: Makefile, Makefile.fpc:
	
	 * Classes moved from Unix to FreeBSD by somebody else?

2000-11-17 14:40  sg <sg@freepascal.org>

	* fcl/inc/ssockets.pp:
	
	* Fixed header and log section

2000-11-17 14:39  sg <sg@freepascal.org>

	* fcl/inc/: bits.inc, lists.inc, stringl.inc:
	
	* Extended Error methods so that exceptions are raised from the
	caller's   address instead of the Error method

2000-11-13 16:46  marco <marcov@stack.nl>

	* fcl/: inc/classesh.inc, inc/stringl.inc, inc/zstream.pp,
	shedit/doc_text.pp:
	
	 * Unix renamefest for defines.

2000-10-28 18:56  hajny <xhajt03@mbox.vol.cz>

	* fcl/os2/ezcgi.inc:
	
	  + real (ansistring) implementation

2000-10-27 01:03  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/interbase/Makefile,
	db/tests/Makefile, freebsd/Makefile, go32v2/Makefile,
	linux/Makefile, os2/Makefile, shedit/Makefile, shedit/gtk/Makefile,
	win32/Makefile, xml/Makefile:
	
	  * regenerated

2000-10-27 00:30  peter <peter@freepascal.org>

	* fcl/: freebsd/Makefile, freebsd/Makefile.fpc, freebsd/classes.pp,
	freebsd/notice.txt, freebsd/process.inc, freebsd/thread.inc,
	go32v2/Makefile, go32v2/Makefile.fpc, linux/Makefile,
	linux/Makefile.fpc, linux/asyncio.inc, linux/asyncioh.inc,
	linux/ezcgi.inc, linux/pipes.inc, unix/asyncio.inc,
	unix/asyncioh.inc, unix/ezcgi.inc, unix/pipes.inc, win32/Makefile,
	win32/Makefile.fpc:
	
	  * freebsd update
	  * classes.rst

2000-10-25 14:36  marco <marcov@stack.nl>

	* fcl/unix/classes.pp:
	
	file classes.pp was initially added on branch FIXES_1_0_0.

2000-10-25 14:36  marco <marcov@stack.nl>

	* fcl/unix/ezcgi.inc:
	
	file ezcgi.inc was initially added on branch FIXES_1_0_0.

2000-10-25 14:36  marco <marcov@stack.nl>

	* fcl/unix/asyncioh.inc:
	
	file asyncioh.inc was initially added on branch FIXES_1_0_0.

2000-10-25 14:36  marco <marcov@stack.nl>

	* fcl/unix/pipes.inc:
	
	file pipes.inc was initially added on branch FIXES_1_0_0.

2000-10-25 14:36  marco <marcov@stack.nl>

	* fcl/unix/thread.inc:
	
	file thread.inc was initially added on branch FIXES_1_0_0.

2000-10-25 14:36  marco <marcov@stack.nl>

	* fcl/unix/asyncio.inc:
	
	file asyncio.inc was initially added on branch FIXES_1_0_0.

2000-10-25 14:36  marco <marcov@stack.nl>

	* fcl/unix/process.inc:
	
	file process.inc was initially added on branch FIXES_1_0_0.

2000-10-17 15:47  marco <marcov@stack.nl>

	* fcl/freebsd/classes.pp:
	
	file classes.pp was initially added on branch FIXES_1_0_0.

2000-10-17 15:47  marco <marcov@stack.nl>

	* fcl/freebsd/ezcgi.inc:
	
	file ezcgi.inc was initially added on branch FIXES_1_0_0.

2000-10-17 15:47  marco <marcov@stack.nl>

	* fcl/freebsd/Makefile:
	
	file Makefile was initially added on branch FIXES_1_0_0.

2000-10-17 15:47  marco <marcov@stack.nl>

	* fcl/freebsd/asyncioh.inc:
	
	file asyncioh.inc was initially added on branch FIXES_1_0_0.

2000-10-17 15:47  marco <marcov@stack.nl>

	* fcl/freebsd/notice.txt:
	
	file notice.txt was initially added on branch FIXES_1_0_0.

2000-10-17 15:47  marco <marcov@stack.nl>

	* fcl/freebsd/Makefile.fpc:
	
	file Makefile.fpc was initially added on branch FIXES_1_0_0.

2000-10-17 15:47  marco <marcov@stack.nl>

	* fcl/freebsd/pipes.inc:
	
	file pipes.inc was initially added on branch FIXES_1_0_0.

2000-10-17 15:47  marco <marcov@stack.nl>

	* fcl/freebsd/thread.inc:
	
	file thread.inc was initially added on branch FIXES_1_0_0.

2000-10-17 15:47  marco <marcov@stack.nl>

	* fcl/freebsd/asyncio.inc:
	
	file asyncio.inc was initially added on branch FIXES_1_0_0.

2000-10-17 15:47  marco <marcov@stack.nl>

	* fcl/freebsd/process.inc:
	
	file process.inc was initially added on branch FIXES_1_0_0.

2000-10-15 17:31  sg <sg@freepascal.org>

	* fcl/xml/htmwrite.pp:
	
	* Improved whitespace handling (entity references as first child of
	an   element is now handled as indicator to stop the insertion of
	automatic   linefeeds. Until now this was only the case with text
	nodes.)

2000-10-15 12:04  peter <peter@freepascal.org>

	* fcl/inc/: bits.inc, classesh.inc:
	
	  + Capitalization of TBits interface fixed; CheckBitIndex now
	checks for
	    size (merged)

2000-10-15 11:27  peter <peter@freepascal.org>

	* fcl/inc/: bits.inc, classes.inc:
	
	  + Added some index checking. Centralized error handling (merged)

2000-10-14 11:41  sg <sg@freepascal.org>

	* fcl/xml/xmlread.pp:
	
	* Fixed typo in previous fix. (forgot closing bracket. Oops.)

2000-10-14 11:40  sg <sg@freepascal.org>

	* fcl/xml/xmlread.pp:
	
	* Extended the "Unmatching element end tag" exception, now the
	expected   tag name is included in the message string.

2000-10-13 14:33  sg <sg@freepascal.org>

	* fcl/inc/classes.inc:
	
	* Some small cosmetic changes and minor fixes

2000-10-03 22:33  sg <sg@freepascal.org>

	* fcl/xml/: Makefile, Makefile.fpc, htmwrite.pp, xhtml.pp:
	
	* Added new Units "htmwrite" and "xhtml"

2000-10-03 22:16  sg <sg@freepascal.org>

	* fcl/xml/xmlwrite.pp:
	
	* Now writes Processing Instructions and a stylesheet link, if set

2000-10-01 23:05  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/interbase/Makefile,
	db/tests/Makefile, go32v2/Makefile, linux/Makefile, os2/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, win32/Makefile, xml/Makefile:
	
	  * regenerated

2000-09-27 23:10  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/interbase/Makefile,
	db/tests/Makefile, go32v2/Makefile, linux/Makefile, os2/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, win32/Makefile, xml/Makefile:
	
	  * regenerated

2000-09-20 21:50  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/interbase/Makefile,
	db/tests/Makefile, go32v2/Makefile, linux/Makefile, os2/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, win32/Makefile, xml/Makefile:
	
	  * regenerated

2000-09-14 20:39  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/lists.inc:
	
	+ Fixed setcapacity

2000-09-12 16:07  sg <sg@freepascal.org>

	* fcl/xml/dom.pp:
	
	* Added fields "StylesheetType" and "StylesheetHRef" to
	TXMLDocument

2000-09-03 14:29  peter <peter@freepascal.org>

	* fcl/: db/Makefile, db/Makefile.fpc, shedit/Makefile,
	shedit/Makefile.fpc, xml/Makefile, xml/Makefile.fpc:
	
	  * remove require fcl (merged)

2000-09-02 11:36  sg <sg@freepascal.org>

	* fcl/db/: db.pp, fields.inc:
	
	* Changed all occurences of TAbstractReader to TReader, as FCL
	streaming   is source compatible to VCL streaming now (for quite a
	while, BTW)

2000-09-02 00:02  peter <peter@freepascal.org>

	* fcl/: db/Makefile.fpc, db/createds.pp, db/mtest.pp, db/testds.pp,
	db/tested.pp, db/tests/Makefile.fpc, db/tests/createds.pp,
	db/tests/mtest.pp, db/tests/testds.pp, db/tests/tested.pp,
	go32v2/Makefile.fpc, linux/Makefile.fpc, os2/Makefile.fpc,
	shedit/Makefile.fpc, shedit/Makefile.inc, win32/Makefile.fpc,
	xml/Makefile.fpc, xml/Makefile.inc:
	
	  * build also db

2000-09-01 23:58  peter <peter@freepascal.org>

	* fcl/: Makefile, db/Makefile, db/interbase/Makefile,
	db/tests/Makefile, go32v2/Makefile, linux/Makefile, os2/Makefile,
	shedit/Makefile, shedit/gtk/Makefile, win32/Makefile, xml/Makefile:
	
	  * regenerated

2000-08-25 19:33  hajny <xhajt03@mbox.vol.cz>

	* fcl/os2/: ezcgi.inc, pipes.inc:
	
	  * Made compilable again (missing bracket at the begin of logs)

2000-08-25 19:32  hajny <xhajt03@mbox.vol.cz>

	* fcl/os2/classes.pp:
	
	  * Cosmetic change (OS/2 instead of win32 in header)

2000-08-25 00:29  sg <sg@freepascal.org>

	* fcl/inc/asyncio.pp:
	
	* Line reader now reports a read line after a single #10 at the end
	of the	 current input buffer

2000-08-15 06:10  peter <peter@freepascal.org>

	* fcl/inc/classesh.inc:
	
	  * delphi compatibility fix

2000-08-04 23:48  peter <peter@freepascal.org>

	* fcl/inc/idea.pp:
	
	  * forgot some conflicts :(

2000-08-04 23:47  peter <peter@freepascal.org>

	* fcl/inc/idea.pp:
	
	  * applied patch from Paul te Bokkel (merged)

2000-07-29 16:52  sg <sg@freepascal.org>

	* fcl/xml/: dom.pp, xmlcfg.pp, xmlread.pp, xmlstreaming.pp,
	xmlwrite.pp:
	
	* Modified the copyright notice to remove ambiguities

2000-07-25 13:27  jonas <jonas.maebe@rug.ac.be>

	* fcl/win32/: ezcgi.inc, fileinfo.pp, pipes.inc, process.inc,
	thread.inc:
	
	  * fixed missing comment openers for log section

2000-07-25 11:20  sg <sg@freepascal.org>

	* fcl/xml/: dom.pp, xmlwrite.pp:
	
	* Fixed some small bugs   - some methods where 'virtual' instead of
	'override' in dom.pp   - corrections regaring wether NodeName or
	NodeValue is used, for	   some node types (Entity,
	EntityReference)

2000-07-22 16:55  sg <sg@freepascal.org>

	* fcl/inc/classes.inc:
	
	* Fixed some DFM parser bugs

2000-07-22 14:27  jonas <jonas.maebe@rug.ac.be>

	* fcl/go32v2/: ezcgi.inc, pipes.inc:
	
	  * added missing "open comment braces" for the log section

2000-07-14 21:47  michael <michael.vancanneyt@wisa.be>

	* fcl/inc/idea.pp:
	
	+ Fixed out parameter

2000-07-13 13:32  michael <michael.vancanneyt@wisa.be>

	* fcl/: db/createds.pp, db/database.inc, db/dataset.inc, db/db.pp,
	db/dbs.inc, db/ddg_ds.pp, db/ddg_rec.pp, db/fields.inc,
	db/mtest.pp, db/mysqldb.pp, db/testds.pp, db/tested.pp,
	db/interbase/interbase.pp, db/interbase/testib.pp,
	go32v2/classes.pp, go32v2/ezcgi.inc, go32v2/pipes.inc,
	go32v2/thread.inc, inc/Makefile.inc, inc/asyncio.pp, inc/base64.pp,
	inc/bits.inc, inc/cachecls.pp, inc/classes.inc, inc/classesh.inc,
	inc/collect.inc, inc/compon.inc, inc/constse.inc, inc/constsg.inc,
	inc/constss.inc, inc/cregist.inc, inc/ezcgi.pp, inc/filer.inc,
	inc/filerec.inc, inc/gettext.pp, inc/http.pp, inc/idea.pp,
	inc/inifiles.pp, inc/iostream.pp, inc/lists.inc, inc/parser.inc,
	inc/persist.inc, inc/pipes.pp, inc/process.pp, inc/reader.inc,
	inc/registry.pp, inc/rtfdata.inc, inc/rtfpars.pp, inc/ssockets.pp,
	inc/streams.inc, inc/stringl.inc, inc/syncob.inc, inc/syncobh.inc,
	inc/twriter.inc, inc/util.inc, inc/writer.inc, inc/zstream.pp,
	linux/asyncio.inc, linux/asyncioh.inc, linux/classes.pp,
	linux/ezcgi.inc, linux/pipes.inc, linux/process.inc,
	linux/thread.inc, os2/classes.pp, os2/ezcgi.inc, os2/pipes.inc,
	os2/thread.inc, shedit/Makefile.inc, shedit/doc_text.pp,
	shedit/drawing.inc, shedit/keys.inc, shedit/sh_pas.pp,
	shedit/sh_xml.pp, shedit/shedit.pp, shedit/undo.inc,
	shedit/gtk/gtkdemo.pp, shedit/gtk/gtkshedit.pp,
	template/classes.pp, template/template.pp, template/thread.inc,
	tests/asiotest.pp, tests/b64dec.pp, tests/b64enc.pp,
	tests/b64test.pp, tests/b64test2.pp, tests/cachetest.pp,
	tests/cfgtest.pp, tests/doecho.pp, tests/dparser.pp,
	tests/dsockcli.pp, tests/dsocksvr.pp, tests/fstream.pp,
	tests/htdump.pp, tests/isockcli.pp, tests/isocksvr.pp,
	tests/istream.pp, tests/list.pp, tests/mstream.pp,
	tests/restest.pp, tests/showver.pp, tests/sockcli.pp,
	tests/socksvr.pp, tests/stringl.pp, tests/testcgi.pp,
	tests/testproc.pp, tests/testrtf.pp, tests/testser.pp,
	tests/testz.pp, tests/testz2.pp, tests/threads.pp, tests/tidea.pp,
	tests/xmldump.pp, win32/classes.pp, win32/ezcgi.inc,
	win32/fileinfo.pp, win32/httpapp.pp, win32/pipes.inc,
	win32/process.inc, win32/syncobjs.pp, win32/thread.inc,
	xml/Makefile.inc, xml/dom.pp, xml/htmldoc.pp, xml/xmlcfg.pp,
	xml/xmlread.pp, xml/xmlstreaming.pp, xml/xmlwrite.pp:
	
	+ removed logs

2000-07-13 08:31  michael <michael.vancanneyt@wisa.be>

	* fcl/: Makefile, Makefile.fpc, db/Dataset.txt, db/Makefile,
	db/Makefile.fpc, db/README, db/createds.pp, db/database.inc,
	db/dataset.inc, db/db.pp, db/dbs.inc, db/ddg_ds.pp, db/ddg_rec.pp,
	db/fields.inc, db/mtest.pp, db/mysqldb.pp, db/testds.pp,
	db/tested.pp, db/interbase/BUGS.known, db/interbase/Makefile,
	db/interbase/Makefile.fpc, db/interbase/README,
	db/interbase/interbase.pp, db/interbase/mkdb,
	db/interbase/testib.pp, go32v2/Makefile, go32v2/Makefile.fpc,
	go32v2/classes.pp, go32v2/ezcgi.inc, go32v2/pipes.inc,
	go32v2/thread.inc, inc/Makefile.inc, inc/asyncio.pp, inc/base64.pp,
	inc/bits.inc, inc/cachecls.pp, inc/classes.inc, inc/classesh.inc,
	inc/collect.inc, inc/compon.inc, inc/constse.inc, inc/constsg.inc,
	inc/constss.inc, inc/cregist.inc, inc/ezcgi.pp, inc/filer.inc,
	inc/filerec.inc, inc/gettext.pp, inc/http.pp, inc/idea.pp,
	inc/inifiles.pp, inc/iostream.pp, inc/lists.inc, inc/parser.inc,
	inc/persist.inc, inc/pipes.pp, inc/process.pp, inc/process.txt,
	inc/reader.inc, inc/registry.pp, inc/rtfdata.inc, inc/rtfpars.pp,
	inc/ssockets.pp, inc/streams.inc, inc/stringl.inc, inc/syncob.inc,
	inc/syncobh.inc, inc/twriter.inc, inc/util.inc, inc/writer.inc,
	inc/zstream.pp, linux/Makefile, linux/Makefile.fpc,
	linux/asyncio.inc, linux/asyncioh.inc, linux/classes.pp,
	linux/ezcgi.inc, linux/pipes.inc, linux/process.inc,
	linux/thread.inc, os2/Makefile, os2/Makefile.fpc, os2/classes.pp,
	os2/ezcgi.inc, os2/pipes.inc, os2/thread.inc, shedit/Makefile.inc,
	shedit/README, shedit/classes.txt, shedit/doc_text.pp,
	shedit/drawing.inc, shedit/keys.inc, shedit/sh_pas.pp,
	shedit/sh_xml.pp, shedit/shedit.pp, shedit/undo.inc,
	shedit/gtk/Makefile, shedit/gtk/Makefile.fpc,
	shedit/gtk/gtkdemo.pp, shedit/gtk/gtkshedit.pp,
	shedit/gtk/simple.xml, template/classes.pp, template/footer,
	template/header, template/template.pp, template/thread.inc,
	tests/Makefile.fpc, tests/README, tests/asiotest.pp,
	tests/b64dec.pp, tests/b64enc.pp, tests/b64test.pp,
	tests/b64test2.pp, tests/cachetest.pp, tests/cfgtest.pp,
	tests/doecho.pp, tests/dparser.pp, tests/dsockcli.pp,
	tests/dsocksvr.pp, tests/fpdoc.dtd, tests/fstream.pp,
	tests/htdump.pp, tests/isockcli.pp, tests/isocksvr.pp,
	tests/istream.pp, tests/kword.xml, tests/list.pp, tests/mstream.pp,
	tests/overview.rtf, tests/parser.dat, tests/restest.pp,
	tests/showver.pp, tests/showver.rc, tests/showver.res,
	tests/simple.xml, tests/sockcli.pp, tests/socksvr.pp,
	tests/stringl.pp, tests/testcgi.pp, tests/testproc.pp,
	tests/testrtf.pp, tests/testser.pp, tests/testz.pp,
	tests/testz2.pp, tests/threads.pp, tests/tidea.pp,
	tests/xmldump.pp, tests/intl/Makefile, tests/intl/README,
	tests/intl/restest.de.mo, tests/intl/restest.de.po,
	tests/intl/restest.fr.mo, tests/intl/restest.fr.po,
	tests/intl/restest.nl.mo, tests/intl/restest.nl.po,
	tests/intl/resttest.po, win32/Makefile, win32/Makefile.fpc,
	win32/classes.pp, win32/ezcgi.inc, win32/fileinfo.pp,
	win32/httpapp.pp, win32/pipes.inc, win32/process.inc,
	win32/syncobjs.pp, win32/thread.inc, xml/Makefile.inc, xml/README,
	xml/dom.pp, xml/htmldoc.pp, xml/xmlcfg.pp, xml/xmlread.pp,
	xml/xmlstreaming.pp, xml/xmlwrite.pp:
	
	+ Initial import

